/* $Id: Scanner.c,v 2.16 1992/08/18 09:05:32 grosch rel $ */

# define bool		char
# define true		1
# define false		0
# define StdIn		0
 
# include "EiffelScan.h"
# include "EiffelScanSource.h"
# include "System.h"
# include "General.h"
# include "DynArray.h"
# include "Positions.h"
# include <stdio.h>
 
# if defined __STDC__ | defined __cplusplus
#  include <stdlib.h>
# else
/* extern char * malloc ();
   extern void free (); */
# endif

# define yyTabSpace	8

# define yyStart(State)	{ yyPreviousStart = yyStartState; yyStartState = State; }
# define yyPrevious	{ yyStateRange s = yyStartState; \
	 		yyStartState = yyPreviousStart; yyPreviousStart = s; }
# define yyEcho		{ char * yyEnd = EiffelScan_TokenPtr + EiffelScan_TokenLength; \
			char yyCh = * yyEnd; * yyEnd = '\0'; \
	 		(void) fputs (EiffelScan_TokenPtr, stdout); * yyEnd = yyCh; }
# define yyLess(n)	{ yyChBufferIndex -= EiffelScan_TokenLength - n; EiffelScan_TokenLength = n; }
# define yyTab		yyLineStart -= yyTabSpace - 1 - ((unsigned char *) EiffelScan_TokenPtr - yyLineStart - 1) % yyTabSpace
# define yyTab1(a)	yyLineStart -= yyTabSpace - 1 - ((unsigned char *) EiffelScan_TokenPtr - yyLineStart + a - 1) % yyTabSpace
# define yyTab2(a,b)	yyLineStart -= yyTabSpace - 1 - ((unsigned char *) EiffelScan_TokenPtr - yyLineStart + a - 1) % yyTabSpace
# define yyEol(Column)	{ yyLineCount ++; yyLineStart = yyChBufferIndex - 1 - Column; }
# define output(c)	(void) putchar ((int) c)
# define unput(c)	* (-- yyChBufferIndex) = c

# define yyDNoState		0
# define yyFileStackSize	16
# define yyInitBufferSize	1024 * 8 + 256
# define yyFirstCh	(unsigned char) '\0'
# define yyLastCh	(unsigned char) '\177'
# define yyEolCh	(unsigned char) '\12'
# define yyEobCh	(unsigned char) '\177'
# define yyDStateCount	429
# define yyTableSize	3596
# define yyEobState	349
# define yyDefaultState	350
# define STD	1
# define D_OP	3
# define CHR	5
# define CHR2	7
# define CHR3	9
# define CHR_END	11
# define STR	13
# define STR2	15
# define STR3	17
# define STR_END	19
# define FREE	21
# define FREE2	23
 
static void yyExit () { Exit (1); }

typedef unsigned short	yyStateRange;
typedef struct { yyStateRange yyCheck, yyNext; } yyCombType;
 
	char *		EiffelScan_TokenPtr	;
	short		EiffelScan_TokenLength	;
	EiffelScan_tScanAttribute	EiffelScan_Attribute	;
	void		(* EiffelScan_Exit) () = yyExit;
 
static	yyCombType	yyComb		[yyTableSize   + 1] = {{1, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{11, 352},
{11, 351},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{1, 423},
{1, 382},
{11, 353},
{1, 400},
{1, 399},
{0, 0},
{1, 429},
{1, 417},
{1, 416},
{11, 428},
{0, 0},
{1, 424},
{1, 401},
{1, 102},
{1, 420},
{1, 322},
{1, 322},
{1, 269},
{1, 269},
{1, 269},
{1, 269},
{1, 269},
{1, 269},
{1, 269},
{1, 269},
{1, 406},
{1, 425},
{1, 410},
{1, 422},
{1, 408},
{1, 404},
{258, 44},
{1, 137},
{1, 294},
{1, 279},
{1, 149},
{1, 187},
{1, 278},
{1, 346},
{1, 346},
{1, 138},
{1, 346},
{1, 346},
{1, 233},
{1, 346},
{1, 235},
{1, 151},
{1, 340},
{1, 346},
{1, 217},
{1, 344},
{1, 200},
{1, 232},
{1, 319},
{1, 300},
{1, 234},
{1, 346},
{1, 346},
{1, 415},
{267, 260},
{1, 414},
{267, 260},
{390, 391},
{392, 393},
{1, 137},
{1, 294},
{1, 279},
{1, 149},
{1, 187},
{1, 278},
{1, 346},
{1, 346},
{1, 138},
{1, 346},
{1, 346},
{1, 233},
{1, 346},
{1, 383},
{1, 151},
{1, 340},
{1, 346},
{1, 217},
{1, 344},
{1, 200},
{1, 232},
{1, 319},
{1, 300},
{1, 234},
{1, 346},
{1, 346},
{1, 413},
{3, 265},
{1, 412},
{13, 352},
{13, 357},
{34, 349},
{348, 349},
{383, 384},
{384, 385},
{9, 352},
{9, 351},
{19, 352},
{19, 351},
{386, 387},
{387, 388},
{394, 395},
{3, 251},
{396, 397},
{401, 419},
{404, 405},
{406, 407},
{408, 409},
{410, 411},
{258, 349},
{420, 421},
{0, 0},
{13, 355},
{0, 0},
{13, 356},
{0, 0},
{0, 0},
{13, 257},
{9, 353},
{3, 265},
{19, 353},
{0, 0},
{19, 427},
{0, 0},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{9, 358},
{3, 251},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 354},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 359},
{5, 34},
{0, 0},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{5, 34},
{7, 352},
{7, 351},
{21, 352},
{21, 351},
{0, 0},
{0, 0},
{36, 168},
{0, 0},
{0, 0},
{0, 0},
{15, 352},
{15, 357},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{26, 110},
{0, 0},
{7, 353},
{0, 0},
{21, 353},
{0, 0},
{21, 426},
{0, 0},
{38, 295},
{71, 182},
{0, 0},
{110, 100},
{15, 353},
{113, 36},
{0, 0},
{17, 352},
{17, 357},
{36, 168},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{7, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{15, 107},
{17, 353},
{23, 25},
{38, 295},
{71, 182},
{23, 25},
{110, 349},
{101, 108},
{113, 36},
{23, 398},
{23, 403},
{114, 94},
{23, 402},
{115, 89},
{23, 392},
{37, 43},
{17, 358},
{37, 37},
{37, 37},
{37, 111},
{37, 111},
{37, 111},
{37, 111},
{37, 111},
{37, 111},
{37, 111},
{37, 111},
{23, 396},
{116, 77},
{23, 394},
{117, 72},
{23, 25},
{23, 259},
{118, 69},
{119, 68},
{37, 99},
{120, 61},
{122, 58},
{123, 57},
{101, 108},
{23, 255},
{124, 55},
{125, 54},
{114, 94},
{126, 52},
{115, 89},
{23, 253},
{127, 51},
{128, 40},
{129, 39},
{131, 62},
{132, 117},
{133, 87},
{135, 95},
{134, 180},
{23, 250},
{101, 349},
{134, 91},
{140, 67},
{23, 390},
{116, 77},
{23, 389},
{117, 72},
{0, 0},
{23, 259},
{118, 69},
{119, 68},
{37, 99},
{120, 61},
{122, 58},
{123, 57},
{0, 0},
{23, 255},
{124, 55},
{125, 54},
{0, 0},
{126, 52},
{23, 386},
{23, 253},
{127, 51},
{128, 40},
{129, 39},
{131, 62},
{132, 117},
{133, 87},
{135, 95},
{134, 180},
{23, 250},
{0, 0},
{134, 91},
{140, 67},
{23, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{0, 0},
{0, 0},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{0, 0},
{25, 25},
{25, 25},
{0, 0},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{25, 25},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{0, 0},
{136, 130},
{141, 29},
{136, 346},
{142, 92},
{0, 0},
{143, 113},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{136, 130},
{141, 29},
{136, 346},
{142, 92},
{27, 346},
{143, 113},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{27, 346},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{0, 0},
{0, 0},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{0, 0},
{32, 32},
{32, 32},
{0, 0},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{32, 32},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{0, 0},
{146, 30},
{147, 74},
{148, 70},
{153, 126},
{0, 0},
{154, 122},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{146, 30},
{147, 74},
{148, 70},
{153, 126},
{41, 346},
{154, 122},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{41, 346},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{43, 43},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{107, 261},
{102, 418},
{43, 267},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{102, 43},
{111, 43},
{155, 65},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{111, 111},
{156, 81},
{157, 114},
{159, 66},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{43, 267},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{260, 240},
{0, 0},
{155, 65},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{261, 31},
{156, 81},
{157, 114},
{159, 66},
{43, 349},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 241},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{44, 44},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{0, 0},
{162, 124},
{163, 120},
{164, 157},
{166, 76},
{0, 0},
{167, 73},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{162, 124},
{163, 120},
{164, 157},
{166, 76},
{81, 346},
{167, 73},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{81, 346},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{100, 242},
{112, 263},
{112, 263},
{112, 268},
{112, 268},
{112, 268},
{112, 268},
{112, 268},
{112, 268},
{112, 268},
{112, 268},
{137, 134},
{150, 119},
{137, 146},
{168, 98},
{168, 346},
{0, 0},
{145, 93},
{137, 90},
{112, 99},
{150, 346},
{170, 48},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{268, 111},
{145, 164},
{171, 166},
{179, 133},
{171, 75},
{180, 142},
{181, 135},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{137, 134},
{150, 119},
{137, 146},
{168, 98},
{168, 346},
{112, 100},
{145, 93},
{137, 90},
{112, 99},
{150, 346},
{170, 48},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{145, 164},
{171, 166},
{179, 133},
{171, 75},
{180, 142},
{181, 135},
{100, 349},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 59},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{189, 128},
{190, 41},
{191, 46},
{192, 50},
{121, 346},
{0, 0},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 59},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{121, 346},
{189, 128},
{190, 41},
{191, 46},
{192, 50},
{121, 349},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{0, 0},
{182, 132},
{193, 125},
{194, 121},
{195, 64},
{0, 0},
{182, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 53},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{182, 132},
{193, 125},
{194, 121},
{195, 64},
{130, 346},
{182, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 53},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{130, 346},
{138, 80},
{149, 216},
{160, 346},
{173, 346},
{130, 349},
{196, 165},
{176, 346},
{138, 341},
{138, 311},
{173, 123},
{183, 163},
{149, 71},
{160, 129},
{138, 79},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{269, 262},
{176, 56},
{184, 159},
{197, 181},
{199, 176},
{183, 280},
{184, 346},
{203, 86},
{0, 0},
{138, 80},
{149, 216},
{160, 346},
{173, 346},
{0, 0},
{196, 165},
{176, 346},
{138, 341},
{138, 311},
{173, 123},
{183, 163},
{149, 71},
{160, 129},
{138, 79},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{176, 56},
{184, 159},
{197, 181},
{199, 176},
{183, 280},
{184, 346},
{203, 86},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 127},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{201, 140},
{201, 346},
{204, 84},
{205, 82},
{139, 346},
{0, 0},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 127},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{139, 346},
{201, 140},
{201, 346},
{204, 84},
{205, 82},
{139, 349},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{0, 0},
{186, 346},
{206, 78},
{207, 116},
{208, 118},
{0, 0},
{186, 139},
{144, 346},
{144, 346},
{144, 346},
{144, 97},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{186, 346},
{206, 78},
{207, 116},
{208, 118},
{144, 346},
{186, 139},
{144, 346},
{144, 346},
{144, 346},
{144, 97},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{144, 346},
{151, 335},
{174, 49},
{172, 346},
{175, 346},
{144, 349},
{209, 63},
{210, 60},
{212, 161},
{213, 47},
{214, 42},
{151, 148},
{172, 88},
{151, 150},
{175, 162},
{174, 220},
{185, 179},
{151, 28},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{185, 172},
{215, 346},
{215, 167},
{218, 188},
{219, 191},
{151, 335},
{174, 49},
{172, 346},
{175, 346},
{0, 0},
{209, 63},
{210, 60},
{212, 161},
{213, 47},
{214, 42},
{151, 148},
{172, 88},
{151, 150},
{175, 162},
{174, 220},
{185, 179},
{151, 28},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{185, 172},
{215, 346},
{215, 167},
{218, 188},
{219, 191},
{0, 0},
{220, 192},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 27},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{222, 155},
{223, 208},
{224, 147},
{225, 156},
{152, 346},
{220, 192},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 27},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{152, 346},
{222, 155},
{223, 208},
{224, 147},
{225, 156},
{152, 349},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{0, 0},
{226, 141},
{221, 338},
{227, 198},
{228, 144},
{0, 0},
{221, 184},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 115},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{226, 141},
{221, 338},
{227, 198},
{228, 144},
{158, 346},
{221, 184},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 115},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{158, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{158, 349},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{0, 0},
{230, 209},
{231, 213},
{232, 211},
{235, 189},
{0, 0},
{236, 174},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 153},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{230, 209},
{231, 213},
{232, 211},
{235, 189},
{161, 346},
{236, 174},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 153},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{161, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{161, 349},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{0, 0},
{237, 195},
{238, 321},
{239, 222},
{244, 109},
{0, 0},
{238, 227},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 85},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{237, 195},
{238, 321},
{239, 222},
{244, 109},
{165, 346},
{238, 227},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 85},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{165, 346},
{263, 37},
{263, 37},
{0, 0},
{0, 0},
{165, 349},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{0, 0},
{248, 105},
{253, 104},
{263, 99},
{264, 248},
{0, 0},
{265, 247},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 83},
{169, 346},
{169, 346},
{248, 105},
{253, 104},
{263, 99},
{264, 248},
{169, 346},
{265, 247},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 346},
{169, 83},
{169, 346},
{169, 346},
{177, 131},
{200, 218},
{233, 158},
{177, 326},
{169, 349},
{187, 143},
{243, 101},
{187, 145},
{233, 185},
{273, 207},
{251, 243},
{200, 160},
{245, 246},
{177, 178},
{246, 264},
{254, 245},
{177, 309},
{187, 238},
{177, 183},
{177, 199},
{0, 0},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{240, 240},
{0, 0},
{177, 131},
{200, 218},
{233, 158},
{177, 326},
{0, 0},
{187, 143},
{243, 101},
{187, 145},
{233, 185},
{273, 207},
{251, 243},
{200, 160},
{245, 246},
{177, 178},
{246, 264},
{254, 245},
{177, 309},
{187, 238},
{177, 183},
{177, 199},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{254, 349},
{245, 349},
{243, 349},
{251, 349},
{0, 0},
{0, 0},
{246, 349},
{178, 173},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{250, 252},
{255, 254},
{274, 201},
{247, 244},
{178, 346},
{240, 349},
{178, 173},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{178, 346},
{250, 252},
{255, 254},
{274, 201},
{247, 244},
{178, 349},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{247, 349},
{250, 349},
{0, 0},
{0, 0},
{255, 349},
{0, 0},
{249, 106},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 35},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{0, 0},
{259, 249},
{252, 103},
{275, 212},
{188, 346},
{249, 106},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 35},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{188, 346},
{249, 349},
{259, 249},
{252, 103},
{275, 212},
{188, 349},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{252, 349},
{276, 231},
{271, 346},
{259, 349},
{277, 190},
{0, 0},
{271, 230},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 197},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{276, 231},
{271, 346},
{283, 196},
{277, 190},
{198, 346},
{271, 230},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 197},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{198, 346},
{0, 0},
{0, 0},
{283, 196},
{0, 0},
{198, 349},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{0, 0},
{284, 204},
{285, 272},
{286, 169},
{287, 171},
{0, 0},
{288, 237},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 96},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{284, 204},
{285, 272},
{286, 169},
{287, 171},
{202, 346},
{288, 237},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 96},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{202, 346},
{211, 325},
{289, 194},
{216, 215},
{241, 270},
{280, 346},
{211, 175},
{216, 345},
{0, 0},
{290, 154},
{291, 193},
{292, 170},
{293, 276},
{0, 0},
{0, 0},
{0, 0},
{280, 210},
{211, 136},
{298, 206},
{299, 203},
{0, 0},
{216, 346},
{256, 256},
{256, 256},
{266, 266},
{0, 0},
{0, 0},
{241, 270},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{302, 271},
{211, 325},
{289, 194},
{216, 215},
{303, 224},
{280, 346},
{211, 175},
{216, 345},
{241, 258},
{290, 154},
{291, 193},
{292, 170},
{293, 276},
{256, 256},
{256, 45},
{266, 266},
{280, 210},
{211, 136},
{298, 206},
{299, 203},
{266, 33},
{216, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{302, 271},
{295, 228},
{300, 219},
{300, 346},
{303, 224},
{0, 0},
{295, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 177},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{295, 228},
{300, 219},
{300, 346},
{0, 0},
{217, 346},
{295, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 177},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{217, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{0, 0},
{256, 349},
{304, 287},
{266, 349},
{305, 273},
{0, 0},
{306, 285},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 205},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{0, 0},
{304, 287},
{0, 0},
{305, 273},
{229, 346},
{306, 285},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 205},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{229, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{0, 0},
{307, 284},
{308, 202},
{313, 291},
{310, 225},
{0, 0},
{310, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 152},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{307, 284},
{308, 202},
{313, 291},
{310, 225},
{234, 346},
{310, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 152},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{234, 346},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{242, 26},
{257, 266},
{0, 0},
{262, 43},
{314, 292},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{262, 268},
{317, 305},
{294, 214},
{296, 346},
{315, 346},
{0, 0},
{0, 0},
{0, 0},
{294, 336},
{296, 281},
{0, 0},
{257, 365},
{0, 0},
{0, 0},
{257, 367},
{0, 0},
{257, 366},
{257, 364},
{257, 363},
{315, 283},
{309, 346},
{0, 0},
{314, 292},
{0, 0},
{257, 360},
{318, 297},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{309, 290},
{317, 305},
{294, 214},
{296, 346},
{315, 346},
{257, 362},
{262, 100},
{257, 361},
{294, 336},
{296, 281},
{257, 381},
{257, 380},
{257, 379},
{257, 378},
{319, 301},
{257, 377},
{320, 282},
{257, 376},
{278, 186},
{315, 283},
{309, 346},
{257, 375},
{278, 275},
{257, 374},
{242, 349},
{318, 297},
{257, 373},
{257, 372},
{257, 371},
{257, 370},
{257, 369},
{257, 368},
{309, 290},
{0, 0},
{323, 277},
{278, 236},
{324, 314},
{325, 313},
{326, 312},
{327, 298},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{319, 301},
{0, 0},
{320, 282},
{0, 0},
{278, 186},
{0, 0},
{0, 0},
{0, 0},
{278, 275},
{0, 0},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{323, 277},
{278, 236},
{324, 314},
{325, 313},
{326, 312},
{327, 298},
{257, 349},
{272, 229},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{0, 0},
{328, 315},
{329, 307},
{330, 310},
{272, 346},
{331, 299},
{272, 229},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{272, 346},
{279, 221},
{328, 315},
{329, 307},
{330, 310},
{279, 274},
{331, 299},
{332, 343},
{333, 323},
{334, 327},
{335, 296},
{279, 347},
{321, 38},
{334, 317},
{279, 339},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{336, 333},
{321, 308},
{337, 303},
{338, 318},
{339, 302},
{340, 324},
{341, 320},
{0, 0},
{279, 221},
{0, 0},
{0, 0},
{0, 0},
{279, 274},
{0, 0},
{332, 343},
{333, 323},
{334, 327},
{335, 296},
{279, 347},
{321, 38},
{334, 317},
{279, 339},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{336, 333},
{321, 308},
{337, 303},
{338, 318},
{339, 302},
{340, 324},
{341, 320},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 223},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{342, 331},
{343, 288},
{345, 337},
{347, 332},
{281, 346},
{0, 0},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 223},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{281, 346},
{342, 331},
{343, 288},
{345, 337},
{347, 332},
{281, 349},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 226},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{282, 346},
{0, 0},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 226},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{282, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{282, 349},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{297, 346},
{297, 346},
{297, 239},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{297, 346},
{0, 0},
{297, 346},
{297, 346},
{297, 239},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{297, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{297, 349},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 293},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{301, 346},
{0, 0},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 293},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{301, 346},
{0, 0},
{311, 328},
{0, 0},
{311, 286},
{301, 349},
{311, 329},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{311, 342},
{311, 330},
{0, 0},
{311, 316},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{311, 328},
{0, 0},
{311, 286},
{0, 0},
{311, 329},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{311, 342},
{311, 330},
{0, 0},
{311, 316},
{0, 0},
{0, 0},
{0, 0},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 289},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{312, 346},
{0, 0},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 289},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{312, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{312, 349},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{316, 306},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{316, 346},
{0, 0},
{316, 306},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{316, 346},
{344, 334},
{0, 0},
{0, 0},
{322, 43},
{316, 349},
{322, 112},
{322, 112},
{322, 262},
{322, 262},
{322, 262},
{322, 262},
{322, 262},
{322, 262},
{322, 262},
{322, 262},
{344, 304},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{322, 99},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{344, 334},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{344, 304},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{322, 100},
{0, 0},
{0, 0},
{322, 99},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{346, 346},
{0, 0},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{346, 346},
{359, 365},
{0, 0},
{0, 0},
{359, 367},
{0, 0},
{359, 366},
{359, 364},
{359, 363},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{359, 360},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{359, 362},
{0, 0},
{359, 361},
{0, 0},
{0, 0},
{359, 381},
{359, 380},
{359, 379},
{359, 378},
{0, 0},
{359, 377},
{0, 0},
{359, 376},
{0, 0},
{0, 0},
{0, 0},
{359, 375},
{0, 0},
{359, 374},
{0, 0},
{0, 0},
{359, 373},
{359, 372},
{359, 371},
{359, 370},
{359, 369},
{359, 368},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
{0, 0},
};
static	yyCombType *	yyBasePtr	[yyDStateCount + 1] = {& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [55],
& yyComb [0],
& yyComb [161],
& yyComb [0],
& yyComb [279],
& yyComb [0],
& yyComb [123],
& yyComb [0],
& yyComb [3],
& yyComb [0],
& yyComb [117],
& yyComb [0],
& yyComb [289],
& yyComb [0],
& yyComb [315],
& yyComb [0],
& yyComb [125],
& yyComb [0],
& yyComb [281],
& yyComb [0],
& yyComb [313],
& yyComb [0],
& yyComb [438],
& yyComb [252],
& yyComb [517],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [640],
& yyComb [0],
& yyComb [1],
& yyComb [0],
& yyComb [221],
& yyComb [315],
& yyComb [239],
& yyComb [0],
& yyComb [0],
& yyComb [719],
& yyComb [0],
& yyComb [794],
& yyComb [922],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [233],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [1001],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [1076],
& yyComb [275],
& yyComb [816],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [804],
& yyComb [0],
& yyComb [0],
& yyComb [225],
& yyComb [828],
& yyComb [1086],
& yyComb [253],
& yyComb [288],
& yyComb [290],
& yyComb [305],
& yyComb [307],
& yyComb [310],
& yyComb [311],
& yyComb [313],
& yyComb [1139],
& yyComb [314],
& yyComb [315],
& yyComb [318],
& yyComb [319],
& yyComb [321],
& yyComb [324],
& yyComb [325],
& yyComb [326],
& yyComb [1219],
& yyComb [320],
& yyComb [321],
& yyComb [322],
& yyComb [327],
& yyComb [323],
& yyComb [503],
& yyComb [1068],
& yyComb [1272],
& yyComb [1340],
& yyComb [321],
& yyComb [494],
& yyComb [496],
& yyComb [498],
& yyComb [1420],
& yyComb [1082],
& yyComb [710],
& yyComb [711],
& yyComb [712],
& yyComb [1274],
& yyComb [1078],
& yyComb [1477],
& yyComb [1544],
& yyComb [699],
& yyComb [701],
& yyComb [793],
& yyComb [804],
& yyComb [805],
& yyComb [1624],
& yyComb [813],
& yyComb [1269],
& yyComb [1704],
& yyComb [975],
& yyComb [976],
& yyComb [977],
& yyComb [1784],
& yyComb [992],
& yyComb [994],
& yyComb [1077],
& yyComb [1864],
& yyComb [1066],
& yyComb [1088],
& yyComb [1474],
& yyComb [1274],
& yyComb [1467],
& yyComb [1475],
& yyComb [1277],
& yyComb [1922],
& yyComb [1991],
& yyComb [1102],
& yyComb [1104],
& yyComb [1105],
& yyComb [1212],
& yyComb [1285],
& yyComb [1300],
& yyComb [1491],
& yyComb [1408],
& yyComb [1916],
& yyComb [2071],
& yyComb [1152],
& yyComb [1153],
& yyComb [1154],
& yyComb [1155],
& yyComb [1201],
& yyComb [1202],
& yyComb [1203],
& yyComb [1269],
& yyComb [1290],
& yyComb [2151],
& yyComb [1287],
& yyComb [1916],
& yyComb [1348],
& yyComb [2231],
& yyComb [1288],
& yyComb [1349],
& yyComb [1350],
& yyComb [1396],
& yyComb [1397],
& yyComb [1398],
& yyComb [1464],
& yyComb [1465],
& yyComb [2286],
& yyComb [1466],
& yyComb [1467],
& yyComb [1468],
& yyComb [1487],
& yyComb [2290],
& yyComb [2359],
& yyComb [1504],
& yyComb [1505],
& yyComb [1539],
& yyComb [1619],
& yyComb [1566],
& yyComb [1567],
& yyComb [1568],
& yyComb [1569],
& yyComb [1614],
& yyComb [1616],
& yyComb [1617],
& yyComb [2434],
& yyComb [1685],
& yyComb [1686],
& yyComb [1687],
& yyComb [1916],
& yyComb [2509],
& yyComb [1687],
& yyComb [1689],
& yyComb [1764],
& yyComb [1764],
& yyComb [1761],
& yyComb [1960],
& yyComb [2348],
& yyComb [2584],
& yyComb [1924],
& yyComb [1777],
& yyComb [1923],
& yyComb [1928],
& yyComb [2002],
& yyComb [1840],
& yyComb [2067],
& yyComb [2003],
& yyComb [1925],
& yyComb [2082],
& yyComb [1842],
& yyComb [1922],
& yyComb [2006],
& yyComb [2366],
& yyComb [2632],
& yyComb [19],
& yyComb [2085],
& yyComb [848],
& yyComb [860],
& yyComb [2598],
& yyComb [1859],
& yyComb [1857],
& yyComb [1852],
& yyComb [2368],
& yyComb [49],
& yyComb [1107],
& yyComb [1308],
& yyComb [0],
& yyComb [2146],
& yyComb [2695],
& yyComb [1931],
& yyComb [2019],
& yyComb [2100],
& yyComb [2145],
& yyComb [2148],
& yyComb [2640],
& yyComb [2746],
& yyComb [2293],
& yyComb [2816],
& yyComb [2896],
& yyComb [2171],
& yyComb [2217],
& yyComb [2218],
& yyComb [2219],
& yyComb [2220],
& yyComb [2222],
& yyComb [2282],
& yyComb [2289],
& yyComb [2290],
& yyComb [2291],
& yyComb [2292],
& yyComb [2584],
& yyComb [2350],
& yyComb [2585],
& yyComb [2976],
& yyComb [2304],
& yyComb [2305],
& yyComb [2347],
& yyComb [3056],
& yyComb [2303],
& yyComb [2307],
& yyComb [2412],
& yyComb [2414],
& yyComb [2416],
& yyComb [2486],
& yyComb [2487],
& yyComb [2602],
& yyComb [2500],
& yyComb [3112],
& yyComb [3169],
& yyComb [2500],
& yyComb [2575],
& yyComb [2586],
& yyComb [3249],
& yyComb [2591],
& yyComb [2615],
& yyComb [2636],
& yyComb [2627],
& yyComb [2764],
& yyComb [3329],
& yyComb [2652],
& yyComb [2654],
& yyComb [2655],
& yyComb [2656],
& yyComb [2657],
& yyComb [2718],
& yyComb [2719],
& yyComb [2720],
& yyComb [2722],
& yyComb [2759],
& yyComb [2749],
& yyComb [2750],
& yyComb [2744],
& yyComb [2763],
& yyComb [2762],
& yyComb [2763],
& yyComb [2764],
& yyComb [2765],
& yyComb [2768],
& yyComb [2827],
& yyComb [2824],
& yyComb [3303],
& yyComb [2840],
& yyComb [3380],
& yyComb [2841],
& yyComb [2],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [3469],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [19],
& yyComb [15],
& yyComb [0],
& yyComb [25],
& yyComb [21],
& yyComb [0],
& yyComb [0],
& yyComb [3],
& yyComb [0],
& yyComb [49],
& yyComb [0],
& yyComb [77],
& yyComb [0],
& yyComb [79],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [79],
& yyComb [0],
& yyComb [0],
& yyComb [81],
& yyComb [0],
& yyComb [82],
& yyComb [0],
& yyComb [82],
& yyComb [0],
& yyComb [85],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [86],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
& yyComb [0],
};
static	yyStateRange	yyDefault	[yyDStateCount + 1] = {0,
23,
1,
19,
3,
3,
5,
26,
7,
34,
9,
34,
11,
32,
13,
26,
15,
34,
17,
34,
19,
34,
21,
9,
23,
34,
34,
26,
27,
27,
27,
0,
34,
0,
0,
27,
27,
34,
27,
27,
27,
43,
41,
0,
41,
0,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
41,
100,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
81,
0,
0,
0,
100,
0,
0,
0,
0,
100,
0,
0,
0,
100,
111,
81,
81,
81,
81,
81,
81,
81,
81,
0,
121,
121,
121,
121,
121,
121,
121,
121,
0,
130,
130,
130,
130,
130,
158,
130,
139,
0,
139,
139,
139,
139,
0,
139,
144,
144,
144,
121,
158,
130,
0,
152,
152,
152,
152,
152,
0,
158,
158,
0,
161,
161,
161,
0,
165,
165,
165,
0,
169,
172,
165,
165,
173,
165,
165,
175,
0,
178,
178,
178,
165,
161,
165,
184,
165,
186,
0,
188,
188,
188,
188,
188,
188,
188,
188,
188,
0,
198,
198,
202,
240,
202,
202,
202,
202,
202,
202,
202,
202,
202,
202,
202,
202,
202,
202,
240,
217,
217,
217,
217,
217,
217,
217,
217,
217,
217,
217,
240,
229,
229,
229,
234,
240,
234,
234,
234,
202,
202,
0,
258,
0,
0,
243,
0,
0,
0,
247,
0,
0,
0,
0,
252,
0,
0,
0,
0,
0,
0,
242,
242,
242,
268,
243,
245,
0,
260,
262,
262,
241,
272,
242,
272,
272,
272,
272,
272,
272,
280,
272,
0,
0,
282,
282,
282,
282,
282,
282,
282,
282,
282,
282,
282,
282,
282,
282,
0,
297,
297,
282,
0,
301,
301,
301,
301,
301,
301,
301,
282,
282,
295,
0,
312,
312,
282,
0,
316,
316,
316,
281,
346,
348,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
346,
348,
346,
0,
0,
0,
348,
0,
0,
34,
32,
0,
351,
0,
348,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
235,
189,
346,
348,
348,
0,
0,
348,
0,
348,
0,
348,
0,
348,
0,
0,
0,
0,
258,
0,
0,
348,
0,
348,
0,
394,
0,
396,
0,
0,
0,
0,
0,
0,
0,
0,
0,
392,
0,
0,
256,
0,
0,
0,
0,
0,
0,
};
static	yyStateRange	yyEobTrans	[yyDStateCount + 1] = {0,
0,
0,
0,
0,
34,
34,
0,
0,
0,
0,
0,
0,
32,
32,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
25,
0,
0,
0,
0,
0,
0,
32,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
44,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
32,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
};

static	yyStateRange	yyInitStateStack [yyInitBufferSize] = {0};
static	yyStateRange *	yyStateStack	= yyInitStateStack;
static	unsigned long	yyStateStackSize= yyInitBufferSize;
static	yyStateRange	yyStartState	= 0;
static	yyStateRange	yyPreviousStart	= 1;

static  short		yySourceFile	;
static	bool		yyEof		;
static	unsigned char *	yyChBufferPtr	;
static	unsigned char *	yyChBufferStart	;
static	unsigned long	yyChBufferSize	;
static	unsigned char *	yyChBufferIndex	= ((unsigned char *) yyComb) + 2; /* dirty trick */
static	int		yyBytesRead	;
static	int		yyLineCount	;
static	unsigned char *	yyLineStart	;

static	struct {
	short		yySourceFile	;
	bool		yyEof		;
	unsigned char *	yyChBufferPtr	;
	unsigned char *	yyChBufferStart	;
	unsigned long	yyChBufferSize	;
	unsigned char *	yyChBufferIndex	;
	int		yyBytesRead	;
	int		yyLineCount	;
	unsigned char *	yyLineStart	;
	} yyFileStack [yyFileStackSize + 1], * yyFileStackPtr = yyFileStack;

static	unsigned char	yyToLower	[] = {
'\0', '\1', '\2', '\3', '\4', '\5', '\6', '\7',
'\10', '\11', '\12', '\13', '\14', '\15', '\16', '\17',
'\20', '\21', '\22', '\23', '\24', '\25', '\26', '\27',
'\30', '\31', '\32', '\33', '\34', '\35', '\36', '\37',
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/',
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?',
'@', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '[', '\\', ']', '^', '_',
'`', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z', '{', '|', '}', '~', '\177',
'\200', '\201', '\202', '\203', '\204', '\205', '\206', '\207',
'\210', '\211', '\212', '\213', '\214', '\215', '\216', '\217',
'\220', '\221', '\222', '\223', '\224', '\225', '\226', '\227',
'\230', '\231', '\232', '\233', '\234', '\235', '\236', '\237',
'\240', '\241', '\242', '\243', '\244', '\245', '\246', '\247',
'\250', '\251', '\252', '\253', '\254', '\255', '\256', '\257',
'\260', '\261', '\262', '\263', '\264', '\265', '\266', '\267',
'\270', '\271', '\272', '\273', '\274', '\275', '\276', '\277',
'\300', '\301', '\302', '\303', '\304', '\305', '\306', '\307',
'\310', '\311', '\312', '\313', '\314', '\315', '\316', '\317',
'\320', '\321', '\322', '\323', '\324', '\325', '\326', '\327',
'\330', '\331', '\332', '\333', '\334', '\335', '\336', '\337',
'\340', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
'\370', '\371', '\372', '\373', '\374', '\375', '\376', '\377',
};

static	unsigned char	yyToUpper	[] = {
'\0', '\1', '\2', '\3', '\4', '\5', '\6', '\7',
'\10', '\11', '\12', '\13', '\14', '\15', '\16', '\17',
'\20', '\21', '\22', '\23', '\24', '\25', '\26', '\27',
'\30', '\31', '\32', '\33', '\34', '\35', '\36', '\37',
' ', '!', '"', '#', '$', '%', '&', '\'', '(', ')', '*', '+', ',', '-', '.', '/',
'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', ':', ';', '<', '=', '>', '?',
'@', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '[', '\\', ']', '^', '_',
'`', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', '{', '|', '}', '~', '\177',
'\200', '\201', '\202', '\203', '\204', '\205', '\206', '\207',
'\210', '\211', '\212', '\213', '\214', '\215', '\216', '\217',
'\220', '\221', '\222', '\223', '\224', '\225', '\226', '\227',
'\230', '\231', '\232', '\233', '\234', '\235', '\236', '\237',
'\240', '\241', '\242', '\243', '\244', '\245', '\246', '\247',
'\250', '\251', '\252', '\253', '\254', '\255', '\256', '\257',
'\260', '\261', '\262', '\263', '\264', '\265', '\266', '\267',
'\270', '\271', '\272', '\273', '\274', '\275', '\276', '\277',
'\300', '\301', '\302', '\303', '\304', '\305', '\306', '\307',
'\310', '\311', '\312', '\313', '\314', '\315', '\316', '\317',
'\320', '\321', '\322', '\323', '\324', '\325', '\326', '\327',
'\330', '\331', '\332', '\333', '\334', '\335', '\336', '\337',
'\340', '\341', '\342', '\343', '\344', '\345', '\346', '\347',
'\350', '\351', '\352', '\353', '\354', '\355', '\356', '\357',
'\360', '\361', '\362', '\363', '\364', '\365', '\366', '\367',
'\370', '\371', '\372', '\373', '\374', '\375', '\376', '\377',
};
 
static	void	yyInitialize	();
static	void	yyErrorMessage	ARGS((int yyErrorCode));
static	char	input		();
/* line 21 "eiffel.rex" */

	extern char in_file[256];
	char scan_errors, comment_possible;
	tStringRef no_comment, comment_ref;


	void EiffelScan_ErrorAttribute (EiffelScan_Token, Attribute)
		int EiffelScan_Token;
	   	EiffelScan_tScanAttribute * Attribute;
	{ 
	}


	long a2i(str)
		char *str;
	{
        	char *ptr;
        	while ((ptr = rindex(str,'_')) != NULL)
        	  while (*ptr != 0)
          	    *(ptr++) = *(ptr+1) ;
        	return atol(str);
	}


	count_nl(str, l) 
		char *str;
		unsigned l;
	{
		while (l) {
		  if (str[--l] == '\n')
		    yyEol(0);
		}
	}

 
int EiffelScan_GetToken ()
{
   register	yyStateRange	yyState;
   register	yyStateRange *	yyStatePtr;
   register	unsigned char * yyChBufferIndexReg;
   register	yyCombType * *	yyBasePtrReg = yyBasePtr;
/* line 62 "eiffel.rex" */

	char String[256], S[5];
	int L;
	char v[256];

   
yyBegin:
   yyState		= yyStartState;		/* initialize */
   yyStatePtr		= & yyStateStack [1];
   yyChBufferIndexReg 	= yyChBufferIndex;
   EiffelScan_TokenPtr	 	= (char *) yyChBufferIndexReg;
 
   /* ASSERT yyChBuffer [yyChBufferIndex] == first character */
 
yyContinue:		/* continue after sentinel or skipping blanks */
   for (;;) {		/* execute as many state transitions as possible */
					/* determine next state and get next character */
      register yyCombType * yyTablePtr = (yyBasePtrReg [yyState] + * yyChBufferIndexReg ++);
      if (yyTablePtr->yyCheck == yyState) {
	 yyState = yyTablePtr->yyNext;
	 * yyStatePtr ++ = yyState;		/* push state */
	 goto yyContinue;
      }
      yyChBufferIndexReg --;			/* reconsider character */
      if ((yyState = yyDefault [yyState]) == yyDNoState) break;
   }
 
   for (;;) {					/* search for last final state */
      EiffelScan_TokenLength = yyChBufferIndexReg - (unsigned char *) EiffelScan_TokenPtr;
      yyChBufferIndex = yyChBufferIndexReg;
switch (* -- yyStatePtr) {
case 44:;
case 241:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 136 "eiffel.rex" */
{ EiffelScan_Attribute.StringRef = comment_ref =
				     PutString(EiffelScan_TokenPtr, EiffelScan_TokenLength - 1);
				     count_nl(EiffelScan_TokenPtr, EiffelScan_TokenLength);
				     if (comment_possible) {
				       comment_possible = OFF;
				       return 107;
				     } 
} yy1: goto yyBegin;
case 429:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 143 "eiffel.rex" */
{ yyStart(CHR); 
} yy2: goto yyBegin;
case 34:;
case 354:;
/* line 144 "eiffel.rex" */
{ (void)EiffelScan_GetWord(S); 
				     EiffelScan_Attribute.Char = *S;
				     yyStart(CHR_END); 
} yy3: goto yyBegin;
case 428:;
/* line 147 "eiffel.rex" */
{ yyStart(STD); return 1; 
} yy4: goto yyBegin;
case 99:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 148 "eiffel.rex" */
{ EiffelScan_Attribute.StringRef =
				     PutString(EiffelScan_TokenPtr, EiffelScan_TokenLength);
				     return 2; 
} yy5: goto yyBegin;
case 37:;
case 110:;
case 111:;
case 112:;
case 262:;
case 263:;
case 268:;
case 269:;
case 322:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 151 "eiffel.rex" */
{ (void)EiffelScan_GetWord(v);
				     EiffelScan_Attribute.Int = a2i(v);
				     return 3; 
} yy6: goto yyBegin;
case 43:;
case 240:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 154 "eiffel.rex" */
{ (void)EiffelScan_GetWord(v);
				     EiffelScan_Attribute.Real = atof(v);
				     return 4; 
} yy7: goto yyBegin;
case 427:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 157 "eiffel.rex" */
{ yyStart(STD); 
} yy8: goto yyBegin;
case 426:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 158 "eiffel.rex" */
{ yyStart(FREE2); 
} yy9: goto yyBegin;
case 25:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 159 "eiffel.rex" */
{ EiffelScan_Attribute.Ident = 
				    MakeIdent(EiffelScan_TokenPtr, EiffelScan_TokenLength);
				    if (yyStartState == FREE2)
				      yyStart(STR_END)
				    return 6; 
} yy10: goto yyBegin;
case 425:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 165 "eiffel.rex" */
{ return  7; 
} yy11: goto yyBegin;
case 424:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 166 "eiffel.rex" */
{ return  8; 
} yy12: goto yyBegin;
case 406:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 167 "eiffel.rex" */
{ return  9; 
} yy13: goto yyBegin;
case 102:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 168 "eiffel.rex" */
{ return 10; 
} yy14: goto yyBegin;
case 423:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 169 "eiffel.rex" */
{ return 11; 
} yy15: goto yyBegin;
case 45:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 170 "eiffel.rex" */
{ return 12; 
} yy16: goto yyBegin;
case 422:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 171 "eiffel.rex" */
{ return 13; 
} yy17: goto yyBegin;
case 421:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 172 "eiffel.rex" */
{ return 14; 
} yy18: goto yyBegin;
case 419:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 173 "eiffel.rex" */
{ return 15; 
} yy19: goto yyBegin;
case 418:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 174 "eiffel.rex" */
{ return 16; 
} yy20: goto yyBegin;
case 417:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 175 "eiffel.rex" */
{ return 17; 
} yy21: goto yyBegin;
case 416:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 176 "eiffel.rex" */
{ return 18; 
} yy22: goto yyBegin;
case 415:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 177 "eiffel.rex" */
{ return 19; 
} yy23: goto yyBegin;
case 414:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 178 "eiffel.rex" */
{ return 20; 
} yy24: goto yyBegin;
case 413:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 179 "eiffel.rex" */
{ return 21; 
} yy25: goto yyBegin;
case 412:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 180 "eiffel.rex" */
{ return 22; 
} yy26: goto yyBegin;
case 411:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 181 "eiffel.rex" */
{ return 23; 
} yy27: goto yyBegin;
case 409:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 182 "eiffel.rex" */
{ return 24;  
} yy28: goto yyBegin;
case 407:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 183 "eiffel.rex" */
{ return 25; 
} yy29: goto yyBegin;
case 405:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 184 "eiffel.rex" */
{ return 26; 
} yy30: goto yyBegin;
case 403:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 187 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 29; 
} yy31: goto yyBegin;
case 401:;
case 402:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 190 "eiffel.rex" */
{ if (yyStartState == FREE2) 
				      yyStart(STR_END); 
				    return 30; 
} yy32: goto yyBegin;
case 400:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 193 "eiffel.rex" */
{ return 31; 
} yy33: goto yyBegin;
case 399:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 194 "eiffel.rex" */
{ return 32; 
} yy34: goto yyBegin;
case 392:;
case 420:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 195 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END);  
				     return 33; 
} yy35: goto yyBegin;
case 92:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 199 "eiffel.rex" */
{ return 34; 
} yy36: goto yyBegin;
case 91:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 200 "eiffel.rex" */
{ return 35; 
} yy37: goto yyBegin;
case 30:;
case 106:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 201 "eiffel.rex" */
{ if (yyStartState == FREE2)  
			 	      yyStart(D_OP);  
				    return 36; 
} yy38: goto yyBegin;
case 90:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 204 "eiffel.rex" */
{ return 37; 
} yy39: goto yyBegin;
case 42:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 205 "eiffel.rex" */
{ return 38; 
} yy40: goto yyBegin;
case 41:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 206 "eiffel.rex" */
{ return 39; 
} yy41: goto yyBegin;
case 65:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 207 "eiffel.rex" */
{ return 40; 
} yy42: goto yyBegin;
case 66:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 208 "eiffel.rex" */
{ return 41; 
} yy43: goto yyBegin;
case 67:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 209 "eiffel.rex" */
{ return 42; 
} yy44: goto yyBegin;
case 64:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 210 "eiffel.rex" */
{ comment_ref = no_comment; return 43; 
} yy45: goto yyBegin;
case 63:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 211 "eiffel.rex" */
{ return 44; 
} yy46: goto yyBegin;
case 73:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 212 "eiffel.rex" */
{ return 45; 
} yy47: goto yyBegin;
case 74:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 213 "eiffel.rex" */
{ return 46; 
} yy48: goto yyBegin;
case 71:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 214 "eiffel.rex" */
{ return 47; 
} yy49: goto yyBegin;
case 72:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 215 "eiffel.rex" */
{ return 48; 
} yy50: goto yyBegin;
case 36:;
case 109:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 216 "eiffel.rex" */
{if (yyStartState == D_OP) 
				     yyStart(STR_END);  
				   return 49; 
} yy51: goto yyBegin;
case 98:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 219 "eiffel.rex" */
{ return 50; 
} yy52: goto yyBegin;
case 93:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 220 "eiffel.rex" */
{ return 51; 
} yy53: goto yyBegin;
case 94:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 221 "eiffel.rex" */
{ return 52; 
} yy54: goto yyBegin;
case 97:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 222 "eiffel.rex" */
{ return 53; 
} yy55: goto yyBegin;
case 96:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 223 "eiffel.rex" */
{ return 54; 
} yy56: goto yyBegin;
case 95:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 224 "eiffel.rex" */
{ return 55; 
} yy57: goto yyBegin;
case 51:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 225 "eiffel.rex" */
{ return 56; 
} yy58: goto yyBegin;
case 52:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 226 "eiffel.rex" */
{ comment_ref = no_comment; return 57; 
} yy59: goto yyBegin;
case 49:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 227 "eiffel.rex" */
{ return 58; 
} yy60: goto yyBegin;
case 50:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 228 "eiffel.rex" */
{ return 59; 
} yy61: goto yyBegin;
case 80:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 229 "eiffel.rex" */
{ return 60; 
} yy62: goto yyBegin;
case 29:;
case 105:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 230 "eiffel.rex" */
{ if (yyStartState == FREE2)
				      yyStart(STR_END); 
				    return 61; 
} yy63: goto yyBegin;
case 85:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 233 "eiffel.rex" */
{ return 62; 
} yy64: goto yyBegin;
case 83:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 234 "eiffel.rex" */
{ yyStart(FREE); return 63; 
} yy65: goto yyBegin;
case 84:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 235 "eiffel.rex" */
{ return 64; 
} yy66: goto yyBegin;
case 86:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 236 "eiffel.rex" */
{ return 65; 
} yy67: goto yyBegin;
case 81:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 237 "eiffel.rex" */
{ return 66; 
} yy68: goto yyBegin;
case 82:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 238 "eiffel.rex" */
{ return 67; 
} yy69: goto yyBegin;
case 79:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 239 "eiffel.rex" */
{ return 68; 
} yy70: goto yyBegin;
case 89:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 240 "eiffel.rex" */
{ return 69; 
} yy71: goto yyBegin;
case 87:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 241 "eiffel.rex" */
{ return 70; 
} yy72: goto yyBegin;
case 88:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 242 "eiffel.rex" */
{ return 71; 
} yy73: goto yyBegin;
case 40:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 243 "eiffel.rex" */
{ return 72; 
} yy74: goto yyBegin;
case 69:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 244 "eiffel.rex" */
{ return 73; 
} yy75: goto yyBegin;
case 70:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 245 "eiffel.rex" */
{ return 74; 
} yy76: goto yyBegin;
case 68:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 246 "eiffel.rex" */
{ return 75; 
} yy77: goto yyBegin;
case 28:;
case 104:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 247 "eiffel.rex" */
{ if (yyStartState == FREE2) 
				      yyStart(D_OP); 
				    return 76; 
} yy78: goto yyBegin;
case 48:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 250 "eiffel.rex" */
{ yyStart(FREE); return 77; 
} yy79: goto yyBegin;
case 62:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 251 "eiffel.rex" */
{ return 78; 
} yy80: goto yyBegin;
case 59:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 252 "eiffel.rex" */
{ return 79; 
} yy81: goto yyBegin;
case 57:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 253 "eiffel.rex" */
{ return 80; 
} yy82: goto yyBegin;
case 58:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 254 "eiffel.rex" */
{ return 81; 
} yy83: goto yyBegin;
case 61:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 255 "eiffel.rex" */
{ return 82; 
} yy84: goto yyBegin;
case 60:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 256 "eiffel.rex" */
{ return 83; 
} yy85: goto yyBegin;
case 56:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 257 "eiffel.rex" */
{ return 84; 
} yy86: goto yyBegin;
case 78:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 258 "eiffel.rex" */
{ return 85; 
} yy87: goto yyBegin;
case 77:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 259 "eiffel.rex" */
{ return 86; 
} yy88: goto yyBegin;
case 76:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 260 "eiffel.rex" */
{ return 87; 
} yy89: goto yyBegin;
case 75:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 261 "eiffel.rex" */
{ return 88; 
} yy90: goto yyBegin;
case 35:;
case 108:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 262 "eiffel.rex" */
{ if (yyStartState == D_OP) 
				      yyStart(STR_END); 
				    return 89; 
} yy91: goto yyBegin;
case 39:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 265 "eiffel.rex" */
{ return 90; 
} yy92: goto yyBegin;
case 54:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 266 "eiffel.rex" */
{ return 91; 
} yy93: goto yyBegin;
case 55:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 267 "eiffel.rex" */
{ return 92; 
} yy94: goto yyBegin;
case 53:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 268 "eiffel.rex" */
{ return 93; 
} yy95: goto yyBegin;
case 47:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 269 "eiffel.rex" */
{ return 94; 
} yy96: goto yyBegin;
case 46:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 270 "eiffel.rex" */
{ return 95; 
} yy97: goto yyBegin;
case 27:;
case 103:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 271 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 96; 
} yy98: goto yyBegin;
case 398:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 275 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 97; 
} yy99: goto yyBegin;
case 396:;
case 410:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 278 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 98; 
} yy100: goto yyBegin;
case 394:;
case 408:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 281 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 99; 
} yy101: goto yyBegin;
case 397:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 284 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				   return 100; 
} yy102: goto yyBegin;
case 395:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 287 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 101; 
} yy103: goto yyBegin;
case 393:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 290 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 102; 
} yy104: goto yyBegin;
case 391:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 293 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 103; 
} yy105: goto yyBegin;
case 389:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 296 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 104; 
} yy106: goto yyBegin;
case 385:;
case 388:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 299 "eiffel.rex" */
{ if (yyStartState == FREE2)  
				      yyStart(STR_END); 
				    return 105; 
} yy107: goto yyBegin;
case 382:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 302 "eiffel.rex" */
{ yyStart(STR); L = 0; 
} yy108: goto yyBegin;
case 32:;
case 355:;
/* line 303 "eiffel.rex" */
{ L += EiffelScan_GetWord( &String[L] ); 
} yy109: goto yyBegin;
case 33:;
/* line 304 "eiffel.rex" */
{ yyEol(0); 
} yy110: goto yyBegin;
case 381:;
/* line 305 "eiffel.rex" */
{ if (yyStartState == CHR) {
				       EiffelScan_Attribute.Char = '@'; yyStart(CHR_END);
				     }
				     else String[L++] = '@'; 
} yy111: goto yyBegin;
case 380:;
/* line 309 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\b'; yyStart(CHR_END);
				     }
				     else String[L++] = '\b'; 
} yy112: goto yyBegin;
case 379:;
/* line 313 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\b'; yyStart(CHR_END);
				     }
				     else String[L++] = '^'; 
} yy113: goto yyBegin;
case 378:;
/* line 317 "eiffel.rex" */
{ if (yyStartState == CHR) { 
  				       EiffelScan_Attribute.Char = '$'; yyStart(CHR_END);
				     }
				     else String[L++] = '$'; 
} yy114: goto yyBegin;
case 377:;
/* line 321 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\f'; yyStart(CHR_END);
				     }
				     else String[L++] = '\f'; 
} yy115: goto yyBegin;
case 376:;
/* line 325 "eiffel.rex" */
{ if (yyStartState == CHR) { 
  				       EiffelScan_Attribute.Char = '/'; yyStart(CHR_END);
				     }
				     else String[L++] = '/'; 
} yy116: goto yyBegin;
case 375:;
/* line 329 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '~'; yyStart(CHR_END);
				     }
				     else String[L++] = '~'; 
} yy117: goto yyBegin;
case 374:;
/* line 334 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\n'; yyStart(CHR_END);
				     }
				     else String[L++] = '\n'; 
} yy118: goto yyBegin;
case 373:;
/* line 338 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '`'; yyStart(CHR_END);
				     }
				     else String[L++] = '`'; 
} yy119: goto yyBegin;
case 372:;
/* line 342 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\r'; yyStart(CHR_END);
				     }
				     else String[L++] = '\r'; 
} yy120: goto yyBegin;
case 371:;
/* line 346 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '#'; yyStart(CHR_END);
				     }
				     else String[L++] = '#'; 
} yy121: goto yyBegin;
case 370:;
/* line 350 "eiffel.rex" */
{ if (yyStartState == CHR) { 
  				       EiffelScan_Attribute.Char = '\t'; yyStart(CHR_END);
				     }
				     else String[L++] = '\t'; yyTab; 
} yy122: goto yyBegin;
case 369:;
/* line 354 "eiffel.rex" */
{ if (yyStartState == CHR) { 
  				       EiffelScan_Attribute.Char = '\0'; yyStart(CHR_END);
				     }
				     else String[L++] = '\0'; 
} yy123: goto yyBegin;
case 368:;
/* line 358 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '|'; yyStart(CHR_END);
				     }
				     else String[L++] = '|'; 
} yy124: goto yyBegin;
case 367:;
/* line 362 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '%'; yyStart(CHR_END);
				     }
				     else String[L++] = '%'; 
} yy125: goto yyBegin;
case 366:;
/* line 366 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '\''; yyStart(CHR_END);
				     }
				     else String[L++] = '\''; 
} yy126: goto yyBegin;
case 365:;
/* line 370 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '"'; yyStart(CHR_END);
				     }
				     else String[L++] = '"'; 
} yy127: goto yyBegin;
case 364:;
/* line 374 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '['; yyStart(CHR_END);
				     }
				     else String[L++] = '['; 
} yy128: goto yyBegin;
case 363:;
/* line 378 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = ']'; yyStart(CHR_END);
				     }
				     else String[L++] = ']'; 
} yy129: goto yyBegin;
case 362:;
/* line 382 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = 'Q'; yyStart(CHR_END);
				     }
				     else String[L++] = 'Q'; 
} yy130: goto yyBegin;
case 361:;
/* line 386 "eiffel.rex" */
{ if (yyStartState == CHR) {
  				       EiffelScan_Attribute.Char = '}'; yyStart(CHR_END);
				     }
				     else String[L++] = '}'; 
} yy131: goto yyBegin;
case 360:;
/* line 390 "eiffel.rex" */
{ if (yyStartState == CHR) {
				       yyStart(CHR2); 
				     }
				     else yyStart(STR2); 
} yy132: goto yyBegin;
case 31:;
case 107:;
case 261:;
/* line 395 "eiffel.rex" */
{ (void) EiffelScan_GetWord(S); 
				     if (yyStartState == CHR2) {
  				       yyStart(CHR3); 
				       EiffelScan_Attribute.Char = atoi( S );
				     }
				     else {
			               yyStart(STR3); 
				       String[L++] = atoi( S ); 
				     }	
} yy133: goto yyBegin;
case 358:;
/* line 404 "eiffel.rex" */
{ if (yyStartState == CHR3) {
				       yyStart(CHR_END);
				     }
				     else yyStart(STR); 
} yy134: goto yyBegin;
case 357:;
/* line 408 "eiffel.rex" */
{ String[L] = '\0';
				     EiffelScan_Attribute.StringRef = PutString(String, L);
				     Message ("unclosed string", xxError, EiffelScan_Attribute.Position); 
				     scan_errors++;yyStart(STD); yyEol(0);
				     return 5; 
} yy135: goto yyBegin;
case 356:;
/* line 413 "eiffel.rex" */
{ yyStart(STD);
				     EiffelScan_Attribute.StringRef = PutString(String, L);
				     return 5; 
} yy136: goto yyBegin;
case 38:;
case 113:;
case 114:;
case 115:;
case 116:;
case 117:;
case 118:;
case 119:;
case 120:;
case 121:;
case 122:;
case 123:;
case 124:;
case 125:;
case 126:;
case 127:;
case 128:;
case 129:;
case 130:;
case 131:;
case 132:;
case 133:;
case 134:;
case 135:;
case 136:;
case 137:;
case 138:;
case 139:;
case 140:;
case 141:;
case 142:;
case 143:;
case 144:;
case 145:;
case 146:;
case 147:;
case 148:;
case 149:;
case 150:;
case 151:;
case 152:;
case 153:;
case 154:;
case 155:;
case 156:;
case 157:;
case 158:;
case 159:;
case 160:;
case 161:;
case 162:;
case 163:;
case 164:;
case 165:;
case 166:;
case 167:;
case 168:;
case 169:;
case 170:;
case 171:;
case 172:;
case 173:;
case 174:;
case 175:;
case 176:;
case 177:;
case 178:;
case 179:;
case 180:;
case 181:;
case 182:;
case 183:;
case 184:;
case 185:;
case 186:;
case 187:;
case 188:;
case 189:;
case 190:;
case 191:;
case 192:;
case 193:;
case 194:;
case 195:;
case 196:;
case 197:;
case 198:;
case 199:;
case 200:;
case 201:;
case 202:;
case 203:;
case 204:;
case 205:;
case 206:;
case 207:;
case 208:;
case 209:;
case 210:;
case 211:;
case 212:;
case 213:;
case 214:;
case 215:;
case 216:;
case 217:;
case 218:;
case 219:;
case 220:;
case 221:;
case 222:;
case 223:;
case 224:;
case 225:;
case 226:;
case 227:;
case 228:;
case 229:;
case 230:;
case 231:;
case 232:;
case 233:;
case 234:;
case 235:;
case 236:;
case 237:;
case 238:;
case 239:;
case 271:;
case 272:;
case 273:;
case 274:;
case 275:;
case 276:;
case 277:;
case 278:;
case 279:;
case 280:;
case 281:;
case 282:;
case 283:;
case 284:;
case 285:;
case 286:;
case 287:;
case 288:;
case 289:;
case 290:;
case 291:;
case 292:;
case 293:;
case 294:;
case 295:;
case 296:;
case 297:;
case 298:;
case 299:;
case 300:;
case 301:;
case 302:;
case 303:;
case 304:;
case 305:;
case 306:;
case 307:;
case 308:;
case 309:;
case 310:;
case 311:;
case 312:;
case 313:;
case 314:;
case 315:;
case 316:;
case 317:;
case 318:;
case 319:;
case 320:;
case 321:;
case 323:;
case 324:;
case 325:;
case 326:;
case 327:;
case 328:;
case 329:;
case 330:;
case 331:;
case 332:;
case 333:;
case 334:;
case 335:;
case 336:;
case 337:;
case 338:;
case 339:;
case 340:;
case 341:;
case 342:;
case 343:;
case 344:;
case 345:;
case 346:;
case 347:;
case 383:;
case 384:;
EiffelScan_Attribute.Position.Line   = yyLineCount;
EiffelScan_Attribute.Position.Column = (unsigned char *) EiffelScan_TokenPtr - yyLineStart;
/* line 417 "eiffel.rex" */
{  (void) EiffelScan_GetLower(v);
				     EiffelScan_Attribute.Ident = MakeIdent(v,EiffelScan_TokenLength);
				     return 106; 
} yy137: goto yyBegin;
case 353:;
{/* BlankAction */
while (* yyChBufferIndexReg ++ == ' ') ;
EiffelScan_TokenPtr = (char *) -- yyChBufferIndexReg;
yyState = yyStartState;
yyStatePtr = & yyStateStack [1];
goto yyContinue;
} yy138: goto yyBegin;
case 352:;
{/* TabAction */
yyLineStart -= 7 - ((unsigned char *) EiffelScan_TokenPtr - yyLineStart - 1) & 0x7; /* % 8 */
} yy139: goto yyBegin;
case 351:;
{/* EolAction */
yyLineCount ++;
yyLineStart = yyChBufferIndexReg - 1;
} yy140: goto yyBegin;
case 1:;
case 2:;
case 3:;
case 4:;
case 5:;
case 6:;
case 7:;
case 8:;
case 9:;
case 10:;
case 11:;
case 12:;
case 13:;
case 14:;
case 15:;
case 16:;
case 17:;
case 18:;
case 19:;
case 20:;
case 21:;
case 22:;
case 23:;
case 24:;
case 26:;
case 100:;
case 101:;
case 242:;
case 243:;
case 244:;
case 245:;
case 246:;
case 247:;
case 248:;
case 249:;
case 250:;
case 251:;
case 252:;
case 253:;
case 254:;
case 255:;
case 256:;
case 257:;
case 258:;
case 259:;
case 260:;
case 264:;
case 265:;
case 266:;
case 267:;
case 270:;
case 348:;
case 359:;
case 386:;
case 387:;
case 390:;
case 404:;
	 /* non final states */
	 yyChBufferIndexReg --;			/* return character */
	 break;
 
case 350:
	 EiffelScan_Attribute.Position.Line   = yyLineCount;
	 EiffelScan_Attribute.Position.Column = yyChBufferIndexReg - yyLineStart;
      /* EiffelScan_TokenLength   = 1; */
	 yyChBufferIndex = ++ yyChBufferIndexReg;
	 {
/* line 56 "eiffel.rex" */

	scan_errors++;
	MessageI ("illegal character", xxError, EiffelScan_Attribute.Position, xxCharacter, EiffelScan_TokenPtr);
	yyStart(STD);

	 }
	 goto yyBegin;
 
      case yyDNoState:				/* automatic initialization */
	 yyInitialize ();
	 yySourceFile = StdIn;
	 goto yyBegin;

case 349:
	 yyChBufferIndex = -- yyChBufferIndexReg; /* undo last state transition */
	 if (-- EiffelScan_TokenLength == 0) {		/* get previous state */
	    yyState = yyStartState;
	 } else {
	    yyState = * (yyStatePtr - 1);
	 }

	 if (yyChBufferIndex != & yyChBufferStart [yyBytesRead]) {
						/* end of buffer sentinel in buffer */
	    if ((yyState = yyEobTrans [yyState]) == yyDNoState) continue;
	    yyChBufferIndexReg ++;
	    * yyStatePtr ++ = yyState;		/* push state */
	    goto yyContinue;
	 }
						/* end of buffer reached */
	 {  /* copy initial part of token in front of the input buffer */
	    register char * yySource = EiffelScan_TokenPtr;
	    register char * yyTarget = EiffelScan_TokenPtr = (char *) & yyChBufferPtr [yyMaxAlign - EiffelScan_TokenLength % yyMaxAlign];
	    if (yySource != yyTarget) {
	       while (yySource < (char *) yyChBufferIndexReg) * yyTarget ++ = * yySource ++;
	       yyLineStart += (unsigned char *) yyTarget - yyChBufferStart - yyBytesRead;
	       yyChBufferStart = (unsigned char *) yyTarget;
	    } else {
	       yyChBufferStart = yyChBufferIndexReg;
	    }
	 }

	 if (! yyEof) {				/* read buffer and restart */
	    int yyChBufferFree = (int) Exp2 (Log2 (yyChBufferSize - 4 - yyMaxAlign - EiffelScan_TokenLength));
	    if (yyChBufferFree < yyChBufferSize / 8) {
	       register int yyDelta;
	       register unsigned char * yyOldChBufferPtr = yyChBufferPtr;
	       ExtendArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
	       if (yyChBufferPtr == NULL) yyErrorMessage (1);
	       yyDelta = yyChBufferPtr - yyOldChBufferPtr;
	       yyChBufferStart	+= yyDelta;
	       yyLineStart	+= yyDelta;
	       EiffelScan_TokenPtr	+= yyDelta;
	       yyChBufferFree = (int) Exp2 (Log2 (yyChBufferSize - 4 - yyMaxAlign - EiffelScan_TokenLength));
	       if (yyStateStackSize < yyChBufferSize) {
		  yyStateRange * yyOldStateStack = yyStateStack;
		  ExtendArray ((char * *) & yyStateStack, & yyStateStackSize, sizeof (yyStateRange));
		  if (yyStateStack == NULL) yyErrorMessage (1);
		  yyStatePtr	+= yyStateStack - yyOldStateStack;
	       }
	    }
	    yyChBufferIndex = yyChBufferIndexReg = yyChBufferStart;
	    yyBytesRead = EiffelScan_GetLine (yySourceFile, (char *) yyChBufferIndex, yyChBufferFree);
	    if (yyBytesRead <= 0) { yyBytesRead = 0; yyEof = true; }
	    yyChBufferStart [yyBytesRead    ] = yyEobCh;
	    yyChBufferStart [yyBytesRead + 1] = '\0';
	    goto yyContinue;
	 }

	 if (EiffelScan_TokenLength == 0) {		/* end of file reached */
	    EiffelScan_Attribute.Position.Line   = yyLineCount;
	    EiffelScan_Attribute.Position.Column = yyChBufferIndexReg - yyLineStart;
	    EiffelScan_CloseFile ();
	    if (yyFileStackPtr == yyFileStack) {
	    }
	    if (yyFileStackPtr == yyFileStack) return EiffelScan_EofToken;
	    goto yyBegin;
	 }
	 break;
 
      default:
	 yyErrorMessage (0);
      }
   }
}
 
void EiffelScan_BeginFile
# if defined __STDC__ | defined __cplusplus
   (char * yyFileName)
# else
   (yyFileName) char * yyFileName;
# endif
   {
      yyInitialize ();
      yySourceFile = EiffelScan_BeginSource (yyFileName);
   }

static void yyInitialize ()
   {
      if (yyFileStackPtr >= yyFileStack + yyFileStackSize) yyErrorMessage (2);
      yyFileStackPtr ++;			/* push file */
      yyFileStackPtr->yySourceFile	= yySourceFile		;
      yyFileStackPtr->yyEof		= yyEof			;
      yyFileStackPtr->yyChBufferPtr	= yyChBufferPtr		;
      yyFileStackPtr->yyChBufferStart	= yyChBufferStart	;
      yyFileStackPtr->yyChBufferSize	= yyChBufferSize	;
      yyFileStackPtr->yyChBufferIndex	= yyChBufferIndex	;
      yyFileStackPtr->yyBytesRead	= yyBytesRead		;
      yyFileStackPtr->yyLineCount	= yyLineCount		;
      yyFileStackPtr->yyLineStart	= yyLineStart		;
						/* initialize file state */
      yyChBufferSize	   = yyInitBufferSize;
      MakeArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
      if (yyChBufferPtr == NULL) yyErrorMessage (1);
      yyChBufferStart	   = & yyChBufferPtr [yyMaxAlign];
      yyChBufferStart [-1] = yyEolCh;		/* begin of line indicator */
      yyChBufferStart [ 0] = yyEobCh;		/* end of buffer sentinel */
      yyChBufferStart [ 1] = '\0';
      yyChBufferIndex	   = yyChBufferStart;
      yyEof		   = false;
      yyBytesRead	   = 0;
      yyLineCount	   = 1;
      yyLineStart	   = & yyChBufferStart [-1];
      if (yyStartState == 0) {
	 yyStartState	   = STD;
	 yyStateStack [0]  = yyDefaultState;	/* stack underflow sentinel */
      }
   }

void EiffelScan_CloseFile ()
   {
      if (yyFileStackPtr == yyFileStack) yyErrorMessage (3);
      EiffelScan_CloseSource (yySourceFile);
      ReleaseArray ((char * *) & yyChBufferPtr, & yyChBufferSize, sizeof (char));
						/* pop file */
      yySourceFile	= yyFileStackPtr->yySourceFile		;
      yyEof		= yyFileStackPtr->yyEof			;
      yyChBufferPtr	= yyFileStackPtr->yyChBufferPtr		;
      yyChBufferStart	= yyFileStackPtr->yyChBufferStart	;
      yyChBufferSize	= yyFileStackPtr->yyChBufferSize	;
      yyChBufferIndex	= yyFileStackPtr->yyChBufferIndex	;
      yyBytesRead	= yyFileStackPtr->yyBytesRead		;
      yyLineCount	= yyFileStackPtr->yyLineCount		;
      yyLineStart	= yyFileStackPtr->yyLineStart		;
      yyFileStackPtr --;		
   }
 
int EiffelScan_GetWord
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= EiffelScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = * yySource ++;
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - EiffelScan_TokenPtr;
   }
 
int EiffelScan_GetLower
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= EiffelScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = yyToLower [* yySource ++];
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - EiffelScan_TokenPtr;
   }
 
int EiffelScan_GetUpper
# if defined __STDC__ | defined __cplusplus
   (char * yyWord)
# else
   (yyWord) char * yyWord;
# endif
   {
      register char * yySource			= EiffelScan_TokenPtr;
      register char * yyTarget			= yyWord;
      register char * yyChBufferIndexReg	= (char *) yyChBufferIndex;
   
      do {				/* ASSERT word is not empty */
	 * yyTarget ++ = yyToUpper [* yySource ++];
      } while (yySource < yyChBufferIndexReg);
      * yyTarget = '\0';
      return yyChBufferIndexReg - EiffelScan_TokenPtr;
   }
 
static char input ()
   {
      if (yyChBufferIndex == & yyChBufferStart [yyBytesRead]) {
	 if (! yyEof) {
	    yyLineStart -= yyBytesRead;
	    yyChBufferIndex = yyChBufferStart = yyChBufferPtr;
	    yyBytesRead = EiffelScan_GetLine (yySourceFile, (char *) yyChBufferIndex,
	       (int) Exp2 (Log2 (yyChBufferSize)));
	    if (yyBytesRead <= 0) { yyBytesRead = 0; yyEof = true; }
	    yyChBufferStart [yyBytesRead    ] = yyEobCh;
	    yyChBufferStart [yyBytesRead + 1] = '\0';
	 }
      }
      if (yyChBufferIndex == & yyChBufferStart [yyBytesRead]) return '\0';
      else return * yyChBufferIndex ++;
   }

void EiffelScan_BeginScanner ()
   {
/* line 68 "eiffel.rex" */

	scan_errors = 0;
	comment_possible = 0;
	comment_ref = no_comment = PutString("", 1);
	InitIdents();
	InitStringMemory();
	EiffelScan_BeginFile(in_file);

   }
 
void EiffelScan_CloseScanner ()
   {
/* line 78 "eiffel.rex" */

/*	WriteIdents();*/
/*	WriteStringMemory();*/

   }
 
static void yyErrorMessage
# if defined __STDC__ | defined __cplusplus
   (int yyErrorCode)
# else
   (yyErrorCode) int yyErrorCode;
# endif
   {
      WritePosition (stderr, EiffelScan_Attribute.Position);
      switch (yyErrorCode) {
      case 0: (void) fprintf (stderr, ": EiffelScan: internal error\n"); break;
      case 1: (void) fprintf (stderr, ": EiffelScan: out of memory\n"); break;
      case 2: (void) fprintf (stderr, ": EiffelScan: too many nested include files\n"); break;
      case 3: (void) fprintf (stderr, ": EiffelScan: file stack underflow (too many calls of EiffelScan_CloseFile)\n"); break;
      }
      EiffelScan_Exit ();
   }
