# ifndef yyEiffelScan
# define yyEiffelScan

/* $Id: Scanner.h,v 2.6 1992/08/07 15:29:41 grosch rel $ */

# if defined __STDC__ | defined __cplusplus
# define ARGS(parameters)	parameters
# else
# define ARGS(parameters)	()
# endif

/* line 2 "eiffel.rex" */
 
#include <strings.h>
#include "StringMem.h"
#include "Memory.h"
#include "General.h"
#include "Idents.h"
#include "Defs.h"
#include "Positions.h"
#include "Errors.h"

	typedef struct { 
		tPosition Position;
		tStringRef StringRef;
		tIdent Ident;
		char Char;
		long Int;
		double Real;
	} EiffelScan_tScanAttribute; 

 
# define EiffelScan_EofToken	0
 
# ifdef lex_interface
#    define EiffelScan_GetToken	yylex
#    define EiffelScan_TokenLength	yyleng
# endif

extern	char *		EiffelScan_TokenPtr	;
extern	short		EiffelScan_TokenLength	;
extern	EiffelScan_tScanAttribute	EiffelScan_Attribute	;
extern	void		(* EiffelScan_Exit) ()	;
 
extern	void		EiffelScan_BeginScanner	();
extern	void		EiffelScan_BeginFile	ARGS ((char * yyFileName));
extern	int		EiffelScan_GetToken	();
extern	int		EiffelScan_GetWord		ARGS ((char * yyWord));
extern	int		EiffelScan_GetLower	ARGS ((char * yyWord));
extern	int		EiffelScan_GetUpper	ARGS ((char * yyWord));
extern	void		EiffelScan_CloseFile	();
extern	void		EiffelScan_CloseScanner	();

# endif
