# ifndef yyTree
# define yyTree

# if defined __STDC__ | defined __cplusplus
# define ARGS(parameters)	parameters
# else
# define ARGS(parameters)	()
# endif

/* line 3 "eiffel.ast" */

#include <stdio.h>
#include "Idents.h"
#include "Errors.h"
#include "Defs.h"


# ifndef bool
# define bool char
# endif
# define NoTree (tTree) 0L
# define kEiffel 1
# define kClasses 2
# define kClasses0 3
# define kClasses1 4
# define kClass_declaration 5
# define kIndex_list 6
# define kIndex_list0 7
# define kIndex_list1 8
# define kIndex_clause 9
# define kClass_header 10
# define kClass_header0 11
# define kClass 12
# define kExpanded_class 13
# define kDeferred_class 14
# define kFeatures 15
# define kFeatures0 16
# define kFeatures1 17
# define kFeature_clause 18
# define kClients 19
# define kClients0 20
# define kClients1 21
# define kFeature_decls 22
# define kFeature_decls0 23
# define kFeature_decls1 24
# define kFeature_decl 25
# define kDeclaration_body 26
# define kConst_or_routine 27
# define kConst_or_routine0 28
# define kM_const 29
# define kUnique 30
# define kRoutine 31
# define kParent_list 32
# define kParent_list0 33
# define kParent_list1 34
# define kParent 35
# define kFeature_adaptation 36
# define kFeature_adaptation0 37
# define kFeature_adaptation1 38
# define kRename_list 39
# define kRename_list0 40
# define kRename_list1 41
# define kRename_pair 42
# define kCreators 43
# define kCreators0 44
# define kCreators1 45
# define kCreation_clause 46
# define kNew_feature_list 47
# define kNew_feature_list0 48
# define kNew_feature_list1 49
# define kFeature_name 50
# define kFrozen 51
# define kIdent_name 52
# define kOp 53
# define kPrefix 54
# define kInfix 55
# define kOp_name 56
# define kFree_op 57
# define kOper 58
# define kNew_export_list 59
# define kNew_export_list0 60
# define kNew_export_list1 61
# define kNew_export_item 62
# define kFeature_list 63
# define kAll 64
# define kFeature_list0 65
# define kFeature_list1 66
# define kFormal_args 67
# define kFormal_args0 68
# define kFormal_args1 69
# define kRoutine_body 70
# define kRoutine_body0 71
# define kEffective 72
# define kInternal 73
# define kDo_body 74
# define kOnce_body 75
# define kExternal 76
# define kDeferred 77
# define kEntity_decl_group 78
# define kFormal_generics 79
# define kFormal_generics0 80
# define kFormal_generics1 81
# define kFormal_generic 82
# define kConstraint 83
# define kConstraint0 84
# define kConstraint1 85
# define kCompound 86
# define kCompound0 87
# define kCompound1 88
# define kThen_part_list 89
# define kThen_part_list0 90
# define kThen_part_list1 91
# define kThen_part 92
# define kWhen_part_list 93
# define kWhen_part_list0 94
# define kWhen_part_list1 95
# define kWhen_part 96
# define kChoices 97
# define kChoices0 98
# define kChoices1 99
# define kChoice 100
# define kInterval 101
# define kVal 102
# define kInstruction 103
# define kInstruction0 104
# define kCreation 105
# define kCall_instruct 106
# define kAssign 107
# define kRev_assign 108
# define kConditional 109
# define kMulti_branch 110
# define kLoop 111
# define kCheck 112
# define kDebug 113
# define kRetry 114
# define kLoop_body 115
# define kLoop_body0 116
# define kLoop_body1 117
# define kType 118
# define kType0 119
# define kClass_type 120
# define kClass_type_expanded 121
# define kBit_type 122
# define kSimple_type 123
# define kAnchored 124
# define kActual_generics 125
# define kActual_generics0 126
# define kActual_generics1 127
# define kCondition 128
# define kCondition0 129
# define kCondition1 130
# define kAssertion 131
# define kAssertion0 132
# define kAssertion1 133
# define kAssertion_clause 134
# define kAssertion_clause0 135
# define kAssertion_clause1 136
# define kType_list 137
# define kType_list0 138
# define kType_list1 139
# define kCall_chain 140
# define kCall_chain0 141
# define kCall_chain1 142
# define kUnqual_call 143
# define kUnqual_call0 144
# define kUnqual_call1 145
# define kActuals 146
# define kActuals0 147
# define kActuals1 148
# define kActual_list 149
# define kActual_list0 150
# define kActual_list1 151
# define kActual 152
# define kAddr 153
# define kExpression 154
# define kExpression0 155
# define kComment 156
# define kSimple_expr 157
# define kCall 158
# define kBin_expr 159
# define kUn_expr 160
# define kParenth 161
# define kManifest_array 162
# define kManifest_array0 163
# define kManifest_array1 164
# define kOld 165
# define kStrip 166
# define kList 167
# define knolist 168
# define klist 169
# define kManifest_constant 170
# define kManifest_constant0 171
# define kCh 172
# define kTrue 173
# define kFalse 174
# define kInt 175
# define kReal 176
# define k_CHARACTER 177
# define k_INTEGER 178
# define k_REAL 179
# define k_DOUBLE 180
# define k_BOOLEAN 181
# define k_STRING 182
# define k_BIT 183
# define k_NONE 184
# define kBitseq 185
# define kString 186
# define kString0 187
# define kEntity 188
# define kEntity0 189
# define kCurrent 190
# define kResult 191
# define kId 192

typedef unsigned char Tree_tKind;
typedef unsigned short Tree_tMark;
typedef unsigned short Tree_tLabel;
typedef union Tree_Node * tTree;
typedef void (* Tree_tProcTree) ();

# ifndef Tree_NodeHead
# define Tree_NodeHead
# endif
typedef struct { Tree_tKind yyKind; Tree_tMark yyMark; Tree_NodeHead } Tree_tNodeHead;
typedef struct { Tree_tNodeHead yyHead; tTree Classes; } yEiffel;
typedef struct { Tree_tNodeHead yyHead; } yClasses;
typedef struct { Tree_tNodeHead yyHead; } yClasses0;
typedef struct { Tree_tNodeHead yyHead; tTree Class_declaration; tTree Classes; } yClasses1;
typedef struct { Tree_tNodeHead yyHead; tTree Indexing; tTree Class_header; tTree Formal_generics; tTree Obsolete; tTree Inheritance; tTree Creators; tTree Features; tTree Invariant; tStringRef comment; } yClass_declaration;
typedef struct { Tree_tNodeHead yyHead; } yIndex_list;
typedef struct { Tree_tNodeHead yyHead; } yIndex_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Index_clause; tTree Index_list; } yIndex_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Index; tTree Index_terms; } yIndex_clause;
typedef struct { Tree_tNodeHead yyHead; } yClass_header;
typedef struct { Tree_tNodeHead yyHead; } yClass_header0;
typedef struct { Tree_tNodeHead yyHead; tTree Name; } yClass;
typedef struct { Tree_tNodeHead yyHead; tTree Name; } yExpanded_class;
typedef struct { Tree_tNodeHead yyHead; tTree Name; } yDeferred_class;
typedef struct { Tree_tNodeHead yyHead; } yFeatures;
typedef struct { Tree_tNodeHead yyHead; } yFeatures0;
typedef struct { Tree_tNodeHead yyHead; tTree Feature_clause; tTree Features; } yFeatures1;
typedef struct { Tree_tNodeHead yyHead; tTree Clients; tStringRef comment; tTree Feature_decls; } yFeature_clause;
typedef struct { Tree_tNodeHead yyHead; } yClients;
typedef struct { Tree_tNodeHead yyHead; } yClients0;
typedef struct { Tree_tNodeHead yyHead; tTree List; } yClients1;
typedef struct { Tree_tNodeHead yyHead; } yFeature_decls;
typedef struct { Tree_tNodeHead yyHead; } yFeature_decls0;
typedef struct { Tree_tNodeHead yyHead; tTree Feature_decl; tTree Feature_decls; } yFeature_decls1;
typedef struct { Tree_tNodeHead yyHead; tTree New_feature_list; tTree Declaration_body; } yFeature_decl;
typedef struct { Tree_tNodeHead yyHead; tTree Formal_args; tTree Type_mark; tTree Const_or_routine; } yDeclaration_body;
typedef struct { Tree_tNodeHead yyHead; } yConst_or_routine;
typedef struct { Tree_tNodeHead yyHead; } yConst_or_routine0;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; } yM_const;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yUnique;
typedef struct { Tree_tNodeHead yyHead; tTree Obsolete; tStringRef comment; tTree Precondition; tTree Local_decls; tTree Routine_body; tTree Postcondition; tTree Rescue; tStringRef end_comment; } yRoutine;
typedef struct { Tree_tNodeHead yyHead; } yParent_list;
typedef struct { Tree_tNodeHead yyHead; } yParent_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Parent; tTree Parent_list; } yParent_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Class_type; tTree Feature_adaptation; } yParent;
typedef struct { Tree_tNodeHead yyHead; } yFeature_adaptation;
typedef struct { Tree_tNodeHead yyHead; } yFeature_adaptation0;
typedef struct { Tree_tNodeHead yyHead; tTree Rename; tTree New_export; tTree Undefine; tTree Redefine; tTree Select; } yFeature_adaptation1;
typedef struct { Tree_tNodeHead yyHead; } yRename_list;
typedef struct { Tree_tNodeHead yyHead; } yRename_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Rename_pair; tTree Rename_list; } yRename_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Name1; tTree Name2; } yRename_pair;
typedef struct { Tree_tNodeHead yyHead; } yCreators;
typedef struct { Tree_tNodeHead yyHead; } yCreators0;
typedef struct { Tree_tNodeHead yyHead; tTree Creation_clause; tTree Creators; } yCreators1;
typedef struct { Tree_tNodeHead yyHead; tTree Clients; tStringRef comment; tTree Feature_list; } yCreation_clause;
typedef struct { Tree_tNodeHead yyHead; } yNew_feature_list;
typedef struct { Tree_tNodeHead yyHead; } yNew_feature_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Feature_name; tTree New_feature_list; } yNew_feature_list1;
typedef struct { Tree_tNodeHead yyHead; } yFeature_name;
typedef struct { Tree_tNodeHead yyHead; tTree Feature_name; } yFrozen;
typedef struct { Tree_tNodeHead yyHead; tTree Id; } yIdent_name;
typedef struct { Tree_tNodeHead yyHead; } yOp;
typedef struct { Tree_tNodeHead yyHead; tTree Op_name; } yPrefix;
typedef struct { Tree_tNodeHead yyHead; tTree Op_name; } yInfix;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yOp_name;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; tIdent ident; } yFree_op;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; int op; } yOper;
typedef struct { Tree_tNodeHead yyHead; } yNew_export_list;
typedef struct { Tree_tNodeHead yyHead; } yNew_export_list0;
typedef struct { Tree_tNodeHead yyHead; tTree New_export_item; tTree New_export_list; } yNew_export_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Clients; tTree Feature_set; } yNew_export_item;
typedef struct { Tree_tNodeHead yyHead; } yFeature_list;
typedef struct { Tree_tNodeHead yyHead; } yAll;
typedef struct { Tree_tNodeHead yyHead; } yFeature_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Feature_name; tTree Feature_list; } yFeature_list1;
typedef struct { Tree_tNodeHead yyHead; } yFormal_args;
typedef struct { Tree_tNodeHead yyHead; } yFormal_args0;
typedef struct { Tree_tNodeHead yyHead; tTree Entity_decl_group; tTree Formal_args; } yFormal_args1;
typedef struct { Tree_tNodeHead yyHead; } yRoutine_body;
typedef struct { Tree_tNodeHead yyHead; } yRoutine_body0;
typedef struct { Tree_tNodeHead yyHead; } yEffective;
typedef struct { Tree_tNodeHead yyHead; } yInternal;
typedef struct { Tree_tNodeHead yyHead; tTree Compound; } yDo_body;
typedef struct { Tree_tNodeHead yyHead; tTree Compound; } yOnce_body;
typedef struct { Tree_tNodeHead yyHead; tTree Lang1; tTree Lang2; } yExternal;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yDeferred;
typedef struct { Tree_tNodeHead yyHead; tTree Id_list; tTree Type_mark; } yEntity_decl_group;
typedef struct { Tree_tNodeHead yyHead; } yFormal_generics;
typedef struct { Tree_tNodeHead yyHead; } yFormal_generics0;
typedef struct { Tree_tNodeHead yyHead; tTree Formal_generic; tTree Formal_generics; } yFormal_generics1;
typedef struct { Tree_tNodeHead yyHead; tTree Id; tTree Constraint; } yFormal_generic;
typedef struct { Tree_tNodeHead yyHead; } yConstraint;
typedef struct { Tree_tNodeHead yyHead; } yConstraint0;
typedef struct { Tree_tNodeHead yyHead; tTree Class_type; } yConstraint1;
typedef struct { Tree_tNodeHead yyHead; } yCompound;
typedef struct { Tree_tNodeHead yyHead; } yCompound0;
typedef struct { Tree_tNodeHead yyHead; tTree Instruction; tTree Compound; } yCompound1;
typedef struct { Tree_tNodeHead yyHead; } yThen_part_list;
typedef struct { Tree_tNodeHead yyHead; } yThen_part_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Then_part; tTree Then_part_list; } yThen_part_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Guard; tTree Compound; } yThen_part;
typedef struct { Tree_tNodeHead yyHead; } yWhen_part_list;
typedef struct { Tree_tNodeHead yyHead; } yWhen_part_list0;
typedef struct { Tree_tNodeHead yyHead; tTree When_part; tTree When_part_list; } yWhen_part_list1;
typedef struct { Tree_tNodeHead yyHead; tTree Choices; tTree Compound; } yWhen_part;
typedef struct { Tree_tNodeHead yyHead; } yChoices;
typedef struct { Tree_tNodeHead yyHead; } yChoices0;
typedef struct { Tree_tNodeHead yyHead; tTree Choice; tTree Choices; } yChoices1;
typedef struct { Tree_tNodeHead yyHead; } yChoice;
typedef struct { Tree_tNodeHead yyHead; tTree From; tTree To; } yInterval;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; } yVal;
typedef struct { Tree_tNodeHead yyHead; } yInstruction;
typedef struct { Tree_tNodeHead yyHead; } yInstruction0;
typedef struct { Tree_tNodeHead yyHead; tTree Type; tTree Entity; tTree Unqual_call; } yCreation;
typedef struct { Tree_tNodeHead yyHead; tTree Call; } yCall_instruct;
typedef struct { Tree_tNodeHead yyHead; tTree Addr; tTree Expression; } yAssign;
typedef struct { Tree_tNodeHead yyHead; tTree Addr; tTree Expression; } yRev_assign;
typedef struct { Tree_tNodeHead yyHead; tTree Then_part; tTree Else_part; } yConditional;
typedef struct { Tree_tNodeHead yyHead; tTree Guard; tTree When_part_list; tTree Else_part; } yMulti_branch;
typedef struct { Tree_tNodeHead yyHead; tTree Initialization; tTree Invariant; tTree Variant; tTree Loop_body; } yLoop;
typedef struct { Tree_tNodeHead yyHead; tTree Assertion; } yCheck;
typedef struct { Tree_tNodeHead yyHead; tTree Debug_keys; tTree Compound; } yDebug;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yRetry;
typedef struct { Tree_tNodeHead yyHead; } yLoop_body;
typedef struct { Tree_tNodeHead yyHead; } yLoop_body0;
typedef struct { Tree_tNodeHead yyHead; tTree Exit; tTree Compound; } yLoop_body1;
typedef struct { Tree_tNodeHead yyHead; } yType;
typedef struct { Tree_tNodeHead yyHead; } yType0;
typedef struct { Tree_tNodeHead yyHead; tTree Id; tTree Actual_generics; } yClass_type;
typedef struct { Tree_tNodeHead yyHead; tTree Id; tTree Actual_generics; } yClass_type_expanded;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; } yBit_type;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; } ySimple_type;
typedef struct { Tree_tNodeHead yyHead; tTree Entity; } yAnchored;
typedef struct { Tree_tNodeHead yyHead; } yActual_generics;
typedef struct { Tree_tNodeHead yyHead; } yActual_generics0;
typedef struct { Tree_tNodeHead yyHead; tTree Type_list; } yActual_generics1;
typedef struct { Tree_tNodeHead yyHead; } yCondition;
typedef struct { Tree_tNodeHead yyHead; } yCondition0;
typedef struct { Tree_tNodeHead yyHead; int extension; tTree Assertion; } yCondition1;
typedef struct { Tree_tNodeHead yyHead; } yAssertion;
typedef struct { Tree_tNodeHead yyHead; } yAssertion0;
typedef struct { Tree_tNodeHead yyHead; tTree Assertion_clause; tTree Assertion; } yAssertion1;
typedef struct { Tree_tNodeHead yyHead; } yAssertion_clause;
typedef struct { Tree_tNodeHead yyHead; } yAssertion_clause0;
typedef struct { Tree_tNodeHead yyHead; tTree Tag; tTree Expression; } yAssertion_clause1;
typedef struct { Tree_tNodeHead yyHead; } yType_list;
typedef struct { Tree_tNodeHead yyHead; } yType_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Type; tTree Type_list; } yType_list1;
typedef struct { Tree_tNodeHead yyHead; } yCall_chain;
typedef struct { Tree_tNodeHead yyHead; } yCall_chain0;
typedef struct { Tree_tNodeHead yyHead; tTree Unqual_call; tTree Call_chain; } yCall_chain1;
typedef struct { Tree_tNodeHead yyHead; } yUnqual_call;
typedef struct { Tree_tNodeHead yyHead; } yUnqual_call0;
typedef struct { Tree_tNodeHead yyHead; tTree Entity; tTree Actuals; } yUnqual_call1;
typedef struct { Tree_tNodeHead yyHead; } yActuals;
typedef struct { Tree_tNodeHead yyHead; } yActuals0;
typedef struct { Tree_tNodeHead yyHead; tTree Actual_list; } yActuals1;
typedef struct { Tree_tNodeHead yyHead; } yActual_list;
typedef struct { Tree_tNodeHead yyHead; } yActual_list0;
typedef struct { Tree_tNodeHead yyHead; tTree Actual; tTree Actual_list; } yActual_list1;
typedef struct { Tree_tNodeHead yyHead; } yActual;
typedef struct { Tree_tNodeHead yyHead; tTree Entity; } yAddr;
typedef struct { Tree_tNodeHead yyHead; } yExpression;
typedef struct { Tree_tNodeHead yyHead; } yExpression0;
typedef struct { Tree_tNodeHead yyHead; tStringRef comment; } yComment;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; } ySimple_expr;
typedef struct { Tree_tNodeHead yyHead; tTree Qual; tTree Call_chain; } yCall;
typedef struct { Tree_tNodeHead yyHead; tTree Lop; tTree Op; tTree Rop; } yBin_expr;
typedef struct { Tree_tNodeHead yyHead; tTree Op; tTree Expression; } yUn_expr;
typedef struct { Tree_tNodeHead yyHead; tTree Expression; } yParenth;
typedef struct { Tree_tNodeHead yyHead; } yManifest_array;
typedef struct { Tree_tNodeHead yyHead; } yManifest_array0;
typedef struct { Tree_tNodeHead yyHead; tTree Expression; tTree Manifest_array; } yManifest_array1;
typedef struct { Tree_tNodeHead yyHead; tTree Expression; } yOld;
typedef struct { Tree_tNodeHead yyHead; tTree List; } yStrip;
typedef struct { Tree_tNodeHead yyHead; } yList;
typedef struct { Tree_tNodeHead yyHead; } ynolist;
typedef struct { Tree_tNodeHead yyHead; tTree Manifest_constant; tTree List; } ylist;
typedef struct { Tree_tNodeHead yyHead; } yManifest_constant;
typedef struct { Tree_tNodeHead yyHead; } yManifest_constant0;
typedef struct { Tree_tNodeHead yyHead; int ch; tPosition pos; } yCh;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yTrue;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yFalse;
typedef struct { Tree_tNodeHead yyHead; tTree Sign; long value; tPosition pos; } yInt;
typedef struct { Tree_tNodeHead yyHead; tTree Sign; double value; tPosition pos; } yReal;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_CHARACTER;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_INTEGER;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_REAL;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_DOUBLE;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_BOOLEAN;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_STRING;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_BIT;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } y_NONE;
typedef struct { Tree_tNodeHead yyHead; tStringRef literal; tPosition pos; } yBitseq;
typedef struct { Tree_tNodeHead yyHead; tStringRef string; tPosition pos; } yString;
typedef struct { Tree_tNodeHead yyHead; } yString0;
typedef struct { Tree_tNodeHead yyHead; } yEntity;
typedef struct { Tree_tNodeHead yyHead; } yEntity0;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yCurrent;
typedef struct { Tree_tNodeHead yyHead; tPosition pos; } yResult;
typedef struct { Tree_tNodeHead yyHead; tIdent ident; tPosition pos; } yId;

union Tree_Node {
 Tree_tKind Kind;
 Tree_tNodeHead yyHead;
 yEiffel Eiffel;
 yClasses Classes;
 yClasses0 Classes0;
 yClasses1 Classes1;
 yClass_declaration Class_declaration;
 yIndex_list Index_list;
 yIndex_list0 Index_list0;
 yIndex_list1 Index_list1;
 yIndex_clause Index_clause;
 yClass_header Class_header;
 yClass_header0 Class_header0;
 yClass Class;
 yExpanded_class Expanded_class;
 yDeferred_class Deferred_class;
 yFeatures Features;
 yFeatures0 Features0;
 yFeatures1 Features1;
 yFeature_clause Feature_clause;
 yClients Clients;
 yClients0 Clients0;
 yClients1 Clients1;
 yFeature_decls Feature_decls;
 yFeature_decls0 Feature_decls0;
 yFeature_decls1 Feature_decls1;
 yFeature_decl Feature_decl;
 yDeclaration_body Declaration_body;
 yConst_or_routine Const_or_routine;
 yConst_or_routine0 Const_or_routine0;
 yM_const M_const;
 yUnique Unique;
 yRoutine Routine;
 yParent_list Parent_list;
 yParent_list0 Parent_list0;
 yParent_list1 Parent_list1;
 yParent Parent;
 yFeature_adaptation Feature_adaptation;
 yFeature_adaptation0 Feature_adaptation0;
 yFeature_adaptation1 Feature_adaptation1;
 yRename_list Rename_list;
 yRename_list0 Rename_list0;
 yRename_list1 Rename_list1;
 yRename_pair Rename_pair;
 yCreators Creators;
 yCreators0 Creators0;
 yCreators1 Creators1;
 yCreation_clause Creation_clause;
 yNew_feature_list New_feature_list;
 yNew_feature_list0 New_feature_list0;
 yNew_feature_list1 New_feature_list1;
 yFeature_name Feature_name;
 yFrozen Frozen;
 yIdent_name Ident_name;
 yOp Op;
 yPrefix Prefix;
 yInfix Infix;
 yOp_name Op_name;
 yFree_op Free_op;
 yOper Oper;
 yNew_export_list New_export_list;
 yNew_export_list0 New_export_list0;
 yNew_export_list1 New_export_list1;
 yNew_export_item New_export_item;
 yFeature_list Feature_list;
 yAll All;
 yFeature_list0 Feature_list0;
 yFeature_list1 Feature_list1;
 yFormal_args Formal_args;
 yFormal_args0 Formal_args0;
 yFormal_args1 Formal_args1;
 yRoutine_body Routine_body;
 yRoutine_body0 Routine_body0;
 yEffective Effective;
 yInternal Internal;
 yDo_body Do_body;
 yOnce_body Once_body;
 yExternal External;
 yDeferred Deferred;
 yEntity_decl_group Entity_decl_group;
 yFormal_generics Formal_generics;
 yFormal_generics0 Formal_generics0;
 yFormal_generics1 Formal_generics1;
 yFormal_generic Formal_generic;
 yConstraint Constraint;
 yConstraint0 Constraint0;
 yConstraint1 Constraint1;
 yCompound Compound;
 yCompound0 Compound0;
 yCompound1 Compound1;
 yThen_part_list Then_part_list;
 yThen_part_list0 Then_part_list0;
 yThen_part_list1 Then_part_list1;
 yThen_part Then_part;
 yWhen_part_list When_part_list;
 yWhen_part_list0 When_part_list0;
 yWhen_part_list1 When_part_list1;
 yWhen_part When_part;
 yChoices Choices;
 yChoices0 Choices0;
 yChoices1 Choices1;
 yChoice Choice;
 yInterval Interval;
 yVal Val;
 yInstruction Instruction;
 yInstruction0 Instruction0;
 yCreation Creation;
 yCall_instruct Call_instruct;
 yAssign Assign;
 yRev_assign Rev_assign;
 yConditional Conditional;
 yMulti_branch Multi_branch;
 yLoop Loop;
 yCheck Check;
 yDebug Debug;
 yRetry Retry;
 yLoop_body Loop_body;
 yLoop_body0 Loop_body0;
 yLoop_body1 Loop_body1;
 yType Type;
 yType0 Type0;
 yClass_type Class_type;
 yClass_type_expanded Class_type_expanded;
 yBit_type Bit_type;
 ySimple_type Simple_type;
 yAnchored Anchored;
 yActual_generics Actual_generics;
 yActual_generics0 Actual_generics0;
 yActual_generics1 Actual_generics1;
 yCondition Condition;
 yCondition0 Condition0;
 yCondition1 Condition1;
 yAssertion Assertion;
 yAssertion0 Assertion0;
 yAssertion1 Assertion1;
 yAssertion_clause Assertion_clause;
 yAssertion_clause0 Assertion_clause0;
 yAssertion_clause1 Assertion_clause1;
 yType_list Type_list;
 yType_list0 Type_list0;
 yType_list1 Type_list1;
 yCall_chain Call_chain;
 yCall_chain0 Call_chain0;
 yCall_chain1 Call_chain1;
 yUnqual_call Unqual_call;
 yUnqual_call0 Unqual_call0;
 yUnqual_call1 Unqual_call1;
 yActuals Actuals;
 yActuals0 Actuals0;
 yActuals1 Actuals1;
 yActual_list Actual_list;
 yActual_list0 Actual_list0;
 yActual_list1 Actual_list1;
 yActual Actual;
 yAddr Addr;
 yExpression Expression;
 yExpression0 Expression0;
 yComment Comment;
 ySimple_expr Simple_expr;
 yCall Call;
 yBin_expr Bin_expr;
 yUn_expr Un_expr;
 yParenth Parenth;
 yManifest_array Manifest_array;
 yManifest_array0 Manifest_array0;
 yManifest_array1 Manifest_array1;
 yOld Old;
 yStrip Strip;
 yList List;
 ynolist nolist;
 ylist list;
 yManifest_constant Manifest_constant;
 yManifest_constant0 Manifest_constant0;
 yCh Ch;
 yTrue True;
 yFalse False;
 yInt Int;
 yReal Real;
 y_CHARACTER _CHARACTER;
 y_INTEGER _INTEGER;
 y_REAL _REAL;
 y_DOUBLE _DOUBLE;
 y_BOOLEAN _BOOLEAN;
 y_STRING _STRING;
 y_BIT _BIT;
 y_NONE _NONE;
 yBitseq Bitseq;
 yString String;
 yString0 String0;
 yEntity Entity;
 yEntity0 Entity0;
 yCurrent Current;
 yResult Result;
 yId Id;
};

extern tTree TreeRoot;
extern unsigned long Tree_HeapUsed;
extern char * Tree_PoolFreePtr, * Tree_PoolMaxPtr;
extern unsigned short Tree_NodeSize [192 + 1];
extern char * Tree_NodeName [192 + 1];

extern void (* Tree_Exit) ();
extern tTree Tree_Alloc ();
extern tTree MakeTree ARGS((Tree_tKind yyKind));
extern bool Tree_IsType ARGS((register tTree yyt, register Tree_tKind yyKind));

extern tTree nEiffel ();
extern tTree nClasses ();
extern tTree nClasses0 ();
extern tTree nClasses1 ();
extern tTree nClass_declaration ();
extern tTree nIndex_list ();
extern tTree nIndex_list0 ();
extern tTree nIndex_list1 ();
extern tTree nIndex_clause ();
extern tTree nClass_header ();
extern tTree nClass_header0 ();
extern tTree nClass ();
extern tTree nExpanded_class ();
extern tTree nDeferred_class ();
extern tTree nFeatures ();
extern tTree nFeatures0 ();
extern tTree nFeatures1 ();
extern tTree nFeature_clause ();
extern tTree nClients ();
extern tTree nClients0 ();
extern tTree nClients1 ();
extern tTree nFeature_decls ();
extern tTree nFeature_decls0 ();
extern tTree nFeature_decls1 ();
extern tTree nFeature_decl ();
extern tTree nDeclaration_body ();
extern tTree nConst_or_routine ();
extern tTree nConst_or_routine0 ();
extern tTree nM_const ();
extern tTree nUnique ();
extern tTree nRoutine ();
extern tTree nParent_list ();
extern tTree nParent_list0 ();
extern tTree nParent_list1 ();
extern tTree nParent ();
extern tTree nFeature_adaptation ();
extern tTree nFeature_adaptation0 ();
extern tTree nFeature_adaptation1 ();
extern tTree nRename_list ();
extern tTree nRename_list0 ();
extern tTree nRename_list1 ();
extern tTree nRename_pair ();
extern tTree nCreators ();
extern tTree nCreators0 ();
extern tTree nCreators1 ();
extern tTree nCreation_clause ();
extern tTree nNew_feature_list ();
extern tTree nNew_feature_list0 ();
extern tTree nNew_feature_list1 ();
extern tTree nFeature_name ();
extern tTree nFrozen ();
extern tTree nIdent_name ();
extern tTree nOp ();
extern tTree nPrefix ();
extern tTree nInfix ();
extern tTree nOp_name ();
extern tTree nFree_op ();
extern tTree nOper ();
extern tTree nNew_export_list ();
extern tTree nNew_export_list0 ();
extern tTree nNew_export_list1 ();
extern tTree nNew_export_item ();
extern tTree nFeature_list ();
extern tTree nAll ();
extern tTree nFeature_list0 ();
extern tTree nFeature_list1 ();
extern tTree nFormal_args ();
extern tTree nFormal_args0 ();
extern tTree nFormal_args1 ();
extern tTree nRoutine_body ();
extern tTree nRoutine_body0 ();
extern tTree nEffective ();
extern tTree nInternal ();
extern tTree nDo_body ();
extern tTree nOnce_body ();
extern tTree nExternal ();
extern tTree nDeferred ();
extern tTree nEntity_decl_group ();
extern tTree nFormal_generics ();
extern tTree nFormal_generics0 ();
extern tTree nFormal_generics1 ();
extern tTree nFormal_generic ();
extern tTree nConstraint ();
extern tTree nConstraint0 ();
extern tTree nConstraint1 ();
extern tTree nCompound ();
extern tTree nCompound0 ();
extern tTree nCompound1 ();
extern tTree nThen_part_list ();
extern tTree nThen_part_list0 ();
extern tTree nThen_part_list1 ();
extern tTree nThen_part ();
extern tTree nWhen_part_list ();
extern tTree nWhen_part_list0 ();
extern tTree nWhen_part_list1 ();
extern tTree nWhen_part ();
extern tTree nChoices ();
extern tTree nChoices0 ();
extern tTree nChoices1 ();
extern tTree nChoice ();
extern tTree nInterval ();
extern tTree nVal ();
extern tTree nInstruction ();
extern tTree nInstruction0 ();
extern tTree nCreation ();
extern tTree nCall_instruct ();
extern tTree nAssign ();
extern tTree nRev_assign ();
extern tTree nConditional ();
extern tTree nMulti_branch ();
extern tTree nLoop ();
extern tTree nCheck ();
extern tTree nDebug ();
extern tTree nRetry ();
extern tTree nLoop_body ();
extern tTree nLoop_body0 ();
extern tTree nLoop_body1 ();
extern tTree nType ();
extern tTree nType0 ();
extern tTree nClass_type ();
extern tTree nClass_type_expanded ();
extern tTree nBit_type ();
extern tTree nSimple_type ();
extern tTree nAnchored ();
extern tTree nActual_generics ();
extern tTree nActual_generics0 ();
extern tTree nActual_generics1 ();
extern tTree nCondition ();
extern tTree nCondition0 ();
extern tTree nCondition1 ();
extern tTree nAssertion ();
extern tTree nAssertion0 ();
extern tTree nAssertion1 ();
extern tTree nAssertion_clause ();
extern tTree nAssertion_clause0 ();
extern tTree nAssertion_clause1 ();
extern tTree nType_list ();
extern tTree nType_list0 ();
extern tTree nType_list1 ();
extern tTree nCall_chain ();
extern tTree nCall_chain0 ();
extern tTree nCall_chain1 ();
extern tTree nUnqual_call ();
extern tTree nUnqual_call0 ();
extern tTree nUnqual_call1 ();
extern tTree nActuals ();
extern tTree nActuals0 ();
extern tTree nActuals1 ();
extern tTree nActual_list ();
extern tTree nActual_list0 ();
extern tTree nActual_list1 ();
extern tTree nActual ();
extern tTree nAddr ();
extern tTree nExpression ();
extern tTree nExpression0 ();
extern tTree nComment ();
extern tTree nSimple_expr ();
extern tTree nCall ();
extern tTree nBin_expr ();
extern tTree nUn_expr ();
extern tTree nParenth ();
extern tTree nManifest_array ();
extern tTree nManifest_array0 ();
extern tTree nManifest_array1 ();
extern tTree nOld ();
extern tTree nStrip ();
extern tTree nList ();
extern tTree nnolist ();
extern tTree nlist ();
extern tTree nManifest_constant ();
extern tTree nManifest_constant0 ();
extern tTree nCh ();
extern tTree nTrue ();
extern tTree nFalse ();
extern tTree nInt ();
extern tTree nReal ();
extern tTree n_CHARACTER ();
extern tTree n_INTEGER ();
extern tTree n_REAL ();
extern tTree n_DOUBLE ();
extern tTree n_BOOLEAN ();
extern tTree n_STRING ();
extern tTree n_BIT ();
extern tTree n_NONE ();
extern tTree nBitseq ();
extern tTree nString ();
extern tTree nString0 ();
extern tTree nEntity ();
extern tTree nEntity0 ();
extern tTree nCurrent ();
extern tTree nResult ();
extern tTree nId ();

extern tTree mEiffel ARGS((tTree pClasses));
extern tTree mClasses ARGS(());
extern tTree mClasses0 ARGS(());
extern tTree mClasses1 ARGS((tTree pClass_declaration, tTree pClasses));
extern tTree mClass_declaration ARGS((tTree pIndexing, tTree pClass_header, tTree pFormal_generics, tTree pObsolete, tTree pInheritance, tTree pCreators, tTree pFeatures, tTree pInvariant, tStringRef pcomment));
extern tTree mIndex_list ARGS(());
extern tTree mIndex_list0 ARGS(());
extern tTree mIndex_list1 ARGS((tTree pIndex_clause, tTree pIndex_list));
extern tTree mIndex_clause ARGS((tTree pIndex, tTree pIndex_terms));
extern tTree mClass_header ARGS(());
extern tTree mClass_header0 ARGS(());
extern tTree mClass ARGS((tTree pName));
extern tTree mExpanded_class ARGS((tTree pName));
extern tTree mDeferred_class ARGS((tTree pName));
extern tTree mFeatures ARGS(());
extern tTree mFeatures0 ARGS(());
extern tTree mFeatures1 ARGS((tTree pFeature_clause, tTree pFeatures));
extern tTree mFeature_clause ARGS((tTree pClients, tStringRef pcomment, tTree pFeature_decls));
extern tTree mClients ARGS(());
extern tTree mClients0 ARGS(());
extern tTree mClients1 ARGS((tTree pList));
extern tTree mFeature_decls ARGS(());
extern tTree mFeature_decls0 ARGS(());
extern tTree mFeature_decls1 ARGS((tTree pFeature_decl, tTree pFeature_decls));
extern tTree mFeature_decl ARGS((tTree pNew_feature_list, tTree pDeclaration_body));
extern tTree mDeclaration_body ARGS((tTree pFormal_args, tTree pType_mark, tTree pConst_or_routine));
extern tTree mConst_or_routine ARGS(());
extern tTree mConst_or_routine0 ARGS(());
extern tTree mM_const ARGS((tTree pManifest_constant));
extern tTree mUnique ARGS((tPosition ppos));
extern tTree mRoutine ARGS((tTree pObsolete, tStringRef pcomment, tTree pPrecondition, tTree pLocal_decls, tTree pRoutine_body, tTree pPostcondition, tTree pRescue, tStringRef pend_comment));
extern tTree mParent_list ARGS(());
extern tTree mParent_list0 ARGS(());
extern tTree mParent_list1 ARGS((tTree pParent, tTree pParent_list));
extern tTree mParent ARGS((tTree pClass_type, tTree pFeature_adaptation));
extern tTree mFeature_adaptation ARGS(());
extern tTree mFeature_adaptation0 ARGS(());
extern tTree mFeature_adaptation1 ARGS((tTree pRename, tTree pNew_export, tTree pUndefine, tTree pRedefine, tTree pSelect));
extern tTree mRename_list ARGS(());
extern tTree mRename_list0 ARGS(());
extern tTree mRename_list1 ARGS((tTree pRename_pair, tTree pRename_list));
extern tTree mRename_pair ARGS((tTree pName1, tTree pName2));
extern tTree mCreators ARGS(());
extern tTree mCreators0 ARGS(());
extern tTree mCreators1 ARGS((tTree pCreation_clause, tTree pCreators));
extern tTree mCreation_clause ARGS((tTree pClients, tStringRef pcomment, tTree pFeature_list));
extern tTree mNew_feature_list ARGS(());
extern tTree mNew_feature_list0 ARGS(());
extern tTree mNew_feature_list1 ARGS((tTree pFeature_name, tTree pNew_feature_list));
extern tTree mFeature_name ARGS(());
extern tTree mFrozen ARGS((tTree pFeature_name));
extern tTree mIdent_name ARGS((tTree pId));
extern tTree mOp ARGS(());
extern tTree mPrefix ARGS((tTree pOp_name));
extern tTree mInfix ARGS((tTree pOp_name));
extern tTree mOp_name ARGS((tPosition ppos));
extern tTree mFree_op ARGS((tPosition ppos, tIdent pident));
extern tTree mOper ARGS((tPosition ppos, int pop));
extern tTree mNew_export_list ARGS(());
extern tTree mNew_export_list0 ARGS(());
extern tTree mNew_export_list1 ARGS((tTree pNew_export_item, tTree pNew_export_list));
extern tTree mNew_export_item ARGS((tTree pClients, tTree pFeature_set));
extern tTree mFeature_list ARGS(());
extern tTree mAll ARGS(());
extern tTree mFeature_list0 ARGS(());
extern tTree mFeature_list1 ARGS((tTree pFeature_name, tTree pFeature_list));
extern tTree mFormal_args ARGS(());
extern tTree mFormal_args0 ARGS(());
extern tTree mFormal_args1 ARGS((tTree pEntity_decl_group, tTree pFormal_args));
extern tTree mRoutine_body ARGS(());
extern tTree mRoutine_body0 ARGS(());
extern tTree mEffective ARGS(());
extern tTree mInternal ARGS(());
extern tTree mDo_body ARGS((tTree pCompound));
extern tTree mOnce_body ARGS((tTree pCompound));
extern tTree mExternal ARGS((tTree pLang1, tTree pLang2));
extern tTree mDeferred ARGS((tPosition ppos));
extern tTree mEntity_decl_group ARGS((tTree pId_list, tTree pType_mark));
extern tTree mFormal_generics ARGS(());
extern tTree mFormal_generics0 ARGS(());
extern tTree mFormal_generics1 ARGS((tTree pFormal_generic, tTree pFormal_generics));
extern tTree mFormal_generic ARGS((tTree pId, tTree pConstraint));
extern tTree mConstraint ARGS(());
extern tTree mConstraint0 ARGS(());
extern tTree mConstraint1 ARGS((tTree pClass_type));
extern tTree mCompound ARGS(());
extern tTree mCompound0 ARGS(());
extern tTree mCompound1 ARGS((tTree pInstruction, tTree pCompound));
extern tTree mThen_part_list ARGS(());
extern tTree mThen_part_list0 ARGS(());
extern tTree mThen_part_list1 ARGS((tTree pThen_part, tTree pThen_part_list));
extern tTree mThen_part ARGS((tTree pGuard, tTree pCompound));
extern tTree mWhen_part_list ARGS(());
extern tTree mWhen_part_list0 ARGS(());
extern tTree mWhen_part_list1 ARGS((tTree pWhen_part, tTree pWhen_part_list));
extern tTree mWhen_part ARGS((tTree pChoices, tTree pCompound));
extern tTree mChoices ARGS(());
extern tTree mChoices0 ARGS(());
extern tTree mChoices1 ARGS((tTree pChoice, tTree pChoices));
extern tTree mChoice ARGS(());
extern tTree mInterval ARGS((tTree pFrom, tTree pTo));
extern tTree mVal ARGS((tTree pManifest_constant));
extern tTree mInstruction ARGS(());
extern tTree mInstruction0 ARGS(());
extern tTree mCreation ARGS((tTree pType, tTree pEntity, tTree pUnqual_call));
extern tTree mCall_instruct ARGS((tTree pCall));
extern tTree mAssign ARGS((tTree pAddr, tTree pExpression));
extern tTree mRev_assign ARGS((tTree pAddr, tTree pExpression));
extern tTree mConditional ARGS((tTree pThen_part, tTree pElse_part));
extern tTree mMulti_branch ARGS((tTree pGuard, tTree pWhen_part_list, tTree pElse_part));
extern tTree mLoop ARGS((tTree pInitialization, tTree pInvariant, tTree pVariant, tTree pLoop_body));
extern tTree mCheck ARGS((tTree pAssertion));
extern tTree mDebug ARGS((tTree pDebug_keys, tTree pCompound));
extern tTree mRetry ARGS((tPosition ppos));
extern tTree mLoop_body ARGS(());
extern tTree mLoop_body0 ARGS(());
extern tTree mLoop_body1 ARGS((tTree pExit, tTree pCompound));
extern tTree mType ARGS(());
extern tTree mType0 ARGS(());
extern tTree mClass_type ARGS((tTree pId, tTree pActual_generics));
extern tTree mClass_type_expanded ARGS((tTree pId, tTree pActual_generics));
extern tTree mBit_type ARGS((tTree pManifest_constant));
extern tTree mSimple_type ARGS((tTree pManifest_constant));
extern tTree mAnchored ARGS((tTree pEntity));
extern tTree mActual_generics ARGS(());
extern tTree mActual_generics0 ARGS(());
extern tTree mActual_generics1 ARGS((tTree pType_list));
extern tTree mCondition ARGS(());
extern tTree mCondition0 ARGS(());
extern tTree mCondition1 ARGS((int pextension, tTree pAssertion));
extern tTree mAssertion ARGS(());
extern tTree mAssertion0 ARGS(());
extern tTree mAssertion1 ARGS((tTree pAssertion_clause, tTree pAssertion));
extern tTree mAssertion_clause ARGS(());
extern tTree mAssertion_clause0 ARGS(());
extern tTree mAssertion_clause1 ARGS((tTree pTag, tTree pExpression));
extern tTree mType_list ARGS(());
extern tTree mType_list0 ARGS(());
extern tTree mType_list1 ARGS((tTree pType, tTree pType_list));
extern tTree mCall_chain ARGS(());
extern tTree mCall_chain0 ARGS(());
extern tTree mCall_chain1 ARGS((tTree pUnqual_call, tTree pCall_chain));
extern tTree mUnqual_call ARGS(());
extern tTree mUnqual_call0 ARGS(());
extern tTree mUnqual_call1 ARGS((tTree pEntity, tTree pActuals));
extern tTree mActuals ARGS(());
extern tTree mActuals0 ARGS(());
extern tTree mActuals1 ARGS((tTree pActual_list));
extern tTree mActual_list ARGS(());
extern tTree mActual_list0 ARGS(());
extern tTree mActual_list1 ARGS((tTree pActual, tTree pActual_list));
extern tTree mActual ARGS(());
extern tTree mAddr ARGS((tTree pEntity));
extern tTree mExpression ARGS(());
extern tTree mExpression0 ARGS(());
extern tTree mComment ARGS((tStringRef pcomment));
extern tTree mSimple_expr ARGS((tTree pManifest_constant));
extern tTree mCall ARGS((tTree pQual, tTree pCall_chain));
extern tTree mBin_expr ARGS((tTree pLop, tTree pOp, tTree pRop));
extern tTree mUn_expr ARGS((tTree pOp, tTree pExpression));
extern tTree mParenth ARGS((tTree pExpression));
extern tTree mManifest_array ARGS(());
extern tTree mManifest_array0 ARGS(());
extern tTree mManifest_array1 ARGS((tTree pExpression, tTree pManifest_array));
extern tTree mOld ARGS((tTree pExpression));
extern tTree mStrip ARGS((tTree pList));
extern tTree mList ARGS(());
extern tTree mnolist ARGS(());
extern tTree mlist ARGS((tTree pManifest_constant, tTree pList));
extern tTree mManifest_constant ARGS(());
extern tTree mManifest_constant0 ARGS(());
extern tTree mCh ARGS((int pch, tPosition ppos));
extern tTree mTrue ARGS((tPosition ppos));
extern tTree mFalse ARGS((tPosition ppos));
extern tTree mInt ARGS((tTree pSign, long pvalue, tPosition ppos));
extern tTree mReal ARGS((tTree pSign, double pvalue, tPosition ppos));
extern tTree m_CHARACTER ARGS((tPosition ppos));
extern tTree m_INTEGER ARGS((tPosition ppos));
extern tTree m_REAL ARGS((tPosition ppos));
extern tTree m_DOUBLE ARGS((tPosition ppos));
extern tTree m_BOOLEAN ARGS((tPosition ppos));
extern tTree m_STRING ARGS((tPosition ppos));
extern tTree m_BIT ARGS((tPosition ppos));
extern tTree m_NONE ARGS((tPosition ppos));
extern tTree mBitseq ARGS((tStringRef pliteral, tPosition ppos));
extern tTree mString ARGS((tStringRef pstring, tPosition ppos));
extern tTree mString0 ARGS(());
extern tTree mEntity ARGS(());
extern tTree mEntity0 ARGS(());
extern tTree mCurrent ARGS((tPosition ppos));
extern tTree mResult ARGS((tPosition ppos));
extern tTree mId ARGS((tIdent pident, tPosition ppos));

extern void ReleaseTree ARGS((tTree yyt));
extern void ReleaseTreeModule ();
extern void WriteTreeNode ARGS((FILE * yyyf, tTree yyt));
extern void WriteTree ARGS((FILE * yyyf, tTree yyt));
extern tTree ReadTree ARGS((FILE * yyyf));
extern void PutTree ARGS((FILE * yyyf, tTree yyt));
extern tTree GetTree ARGS((FILE * yyyf));
extern void TraverseTreeTD ARGS((tTree yyt, Tree_tProcTree yyyProc));
extern void TraverseTreeBU ARGS((tTree yyt, Tree_tProcTree yyyProc));
extern tTree ReverseTree ARGS((tTree yyOld));
extern tTree CopyTree ARGS((tTree yyt));
extern bool CheckTree ARGS((tTree yyt));
extern void QueryTree ARGS((tTree yyt));
extern bool IsEqualTree ARGS((tTree yyt1, tTree yyt2));
extern void BeginTree ();
extern void CloseTree ();

# endif
